/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/


package org.jasig.portal.caching;

import java.util.Iterator;
import java.util.Map;
import java.util.Set;

/**
 * Utilities for dealing with cache keys (mostly generating keys)
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class CacheKeyUtils {
    public static ICacheKey generateStringToStringMapKey(Map map) {
        return new CacheKeyImpl(generateStringToStringMapKeyString(map));
    }
    
    /**
     * Generate a serialized key of a map using toString() method on both
     * keys and values
     * @param map
     * @return the key
     */
    public static String generateStringToStringMapKeyString(Map map) {
        if(map==null) {
            return null;
        }
        
        StringBuffer key=new StringBuffer();
        for (Iterator iter = map.entrySet().iterator(); iter.hasNext();) {
            Map.Entry mapEntry = (Map.Entry) iter.next();
            key.append(mapEntry.getKey());
            key.append(mapEntry.getValue());
        }
        return key.toString();
    }
    
    /**
     * Generate a serialized key of a set using toString() method on each element
     * @param set
     * @return the key
     */
    public static String generateStringSetKeyString(Set set) {
        if(set==null) {
            return null;
        }
        StringBuffer key=new StringBuffer();
        for (Iterator iter = set.iterator(); iter.hasNext();) {
            Object element = (Object) iter.next();
            key.append(element.toString());
        }
        return key.toString();
    }

}
