/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.caching;

import java.io.Serializable;
import java.util.List;

/**
 * An interface describing an ordered list of cache keys
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ICacheKeyList extends ICacheKey {
    /**
     * Obtain a separated list of cache keys
     * @return array of cache keys
     */
    String[] getKeyList();

    /**
     * Obtain a separated list of validity objects
     * @return array of validity objects
     */
    Serializable[] getValidityObjectList();
}
