/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.caching;


/**
 * Provides basic cache statistics.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public interface ICacheStatistics {
    /**
     * @return The number of cache puts, -1 if unkown.
     */
    public long getCachePuts();
    
    /**
     * @return The number of cache queries that found an object in the cache, -1 if unkown.
     */
    public long getCacheHits();
    
    /**
     * @return The number of cache queries that did not find and object in the cache, -1 if unkown.
     * Includes expirations if supported.
     */
    public long getCacheMisses();
    
    /**
     * @return The number of objects that have expired from the cache, -1 if unkown.
     */
    public long getCacheExpirations();
    
    /**
     * @return The number of entries in the cache.
     */
    public int getSize();
}
