/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/


package org.jasig.portal.caching;

import java.io.Serializable;

/**
 * A basic interface for a passive cacheable entity
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ICacheable {
	 /**
     * Requests the entoty to generate a key uniquely describing its current state,
     * together with the appropriate validity object.
     * @return valid cache key for the current state or <code>null</code> if caching shouldn't be used.
     */
    public ICacheKey generateKey();

    /**
     * Requests the entity to verify validity of the retreived cache based on the validator object.
     * @param validityObject - a validity object associated with the current cache entiry
     */
    public boolean isCacheValid(Serializable validityObject);

}
