/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.context;

import java.io.Serializable;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jasig.portal.core.exception.PortalException;

/**
 * IContext encompasses all aspects of portal rendering by defining the request processing logic.
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IContext extends Serializable {
	/**
	 * @param req - incoming HTTP servlet request
	 * @param res - outgoing HTTP servlet response
	 */
	public void service(HttpServletRequest req, HttpServletResponse res) throws PortalException;
}
