/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jasig.portal.core.exception.PortalException;

/**
 * Uses internal {@link org.jasig.portal.context.IContextResolver}
 * to select on of configured sub-contexts. This allows to group
 * multiple context configurations under one parent context.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public class ResolvingContext implements IContext {
    IContextResolver contextResolver;

    public void service(HttpServletRequest req, HttpServletResponse res) throws PortalException {
        IContext currentContext=contextResolver.resolveContext(req);
        currentContext.service(req,res);
        
    }

    public void setContextResolver(IContextResolver contextResolver) {
        this.contextResolver = contextResolver;
    }
    
}
