/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jasig.portal.utils.TrackingThreadLocal;

/**
 * A threadlocal implementation of {@link org.jasig.portal.context.common.IHttpRequestResponseAccessor} 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class HttpRequestResponseAccessorImpl implements IHttpRequestResponseAccessor {
    protected static ThreadLocal<HttpServletRequest> requestHolder=new TrackingThreadLocal<HttpServletRequest>();
    protected static ThreadLocal<HttpServletResponse> responseHolder=new TrackingThreadLocal<HttpServletResponse>();
    
    public HttpServletRequest getCurrentHttpServletRequest() {
        return requestHolder.get();
    }
    
    public HttpServletResponse getCurrentHttpServletResponse() {
        return responseHolder.get();
    }
    
    public void setCurrentHttpServletRequest(HttpServletRequest request) {
        requestHolder.set(request);
    }
    
    public void setCurrentHttpServletResponse(HttpServletResponse response) {
        responseHolder.set(response);
    }
}
