/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * An interface for accessing Http servlet request and response objects
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IHttpRequestResponseAccessor {
    /**
     * Obtain servlet request that's currently being processed
     * @return
     */
    public HttpServletRequest getCurrentHttpServletRequest();
    /**
     * Obtain servlet response corresponding to the current request
     * @return
     */
    public HttpServletResponse getCurrentHttpServletResponse();
    
    /**
     * Specify current request
     * @param request
     */
    public void setCurrentHttpServletRequest(HttpServletRequest request);
    
    /**
     * Specify current response
     * @param response
     */
    public void setCurrentHttpServletResponse(HttpServletResponse response);
}
