/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.persistence;

import java.util.EventObject;

/**
 * PersistenceControllerEvent describes persistence controller events
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class PersistenceControllerEvent extends EventObject {
    final EventType eventType;
    
    
    public static final EventType persistPreferencesEventType=new EventType("persistPreferences");
    public static final EventType resetPreferencesEventType=new EventType("resetPreferences");
    
    /**
     * Create a persistence controller event
     * @param source - event source
     * @param eventType - event type
     */
    public PersistenceControllerEvent(Object source,EventType eventType) {
        super(source);
        this.eventType=eventType;
    }
    
    public static class EventType {
        final String name;
        
        public EventType(String name) {
            this.name=name;
        }
        
        /**
         * @return Returns the name.
         */
        public String getName() {
            return name;
        }
        
    }
    /**
     * @return Returns the eventType.
     */
    public EventType getEventType() {
        return eventType;
    }
}
