/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.profile;

import java.util.Map;

/**
 * Describes information associated with a single portal profile.
 * 
 * Aside from descriptive information, profile contains a number of properties which
 * can be queried by other framework components.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IProfile {
    /**
     * @return Returns the id.
     */
    public ProfileId getId();
    
    /**
     * Obtain profile property
     * @param key a key under which the property should be listed
     * @return an object configured under the specified key
     */
    public Object getProperty(String key);
    
    /**
     * Obtain a map of all properties defined in the profile
     * @return
     */
    public Map<String,Object> getProperties();
}