/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.profile;

/**
 * A profile controller description.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IProfileController {
    /**
     * Obtain current profile
     * @return the current profile
     */
    public IProfile getCurrentProfile();
    
    /**
     * Specify current profile 
     * @return
     */
    public void setCurrentProfile(ProfileId profileId);
    
    /**
     * Obtain profile given profile id
     * @param profileId
     * @return profile corresponding to the specified id, or <code>null</code> if no such profile
     * was configured
     */
    public IProfile getProfile(ProfileId profileId);
    
    /**
     * Obtain a reference to profile configuration
     * @return current profile configuration
     */
    public IProfileConfig getProfileConfig();
    
    /**
     * Add profile controller event listener
     * @param listener
     */
    public void addProfileControllerEventListener(IProfileControllerEventListener listener);
    /**
     * Remove profile controller event listener
     * @param listener
     */
    public void removeProfileControllerEventListener(IProfileControllerEventListener listener);

}
