/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.profile;

import javax.servlet.http.HttpServletRequest;

/**
 * IProfileMatcher describes a utlity class that can match user profiles based on the request information
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IProfileMatcher {
    /**
     * Select a profile based on the servlet request.
     * @param req
     * @return a valid profile id or <code>null</code> if no valid profile can be matched
     */
    ProfileId matchProfile(HttpServletRequest req);
}
