/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.profile;

/**
 * An interface for a component responsible for making decision about current profile.
 * Unlike {@link org.jasig.portal.context.common.profile.IProfileController}, these components
 * do not send out events, and do not maintain their own profile config. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IProfileSelector {
    /**
     * Determine current profile
     * @param config profile config
     */
    public IProfile getCurrentProfile(IProfileConfig config);
    
    /**
     * Inform selector that a given profile has been set as current
     * @param profileId
     * @param config profile config
     */
    public void setCurrentProfile(ProfileId profileId, IProfileConfig config);
}
