/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.profile;

import java.util.EventObject;

/**
 * ProfileControllerEvent describes events sent out by the ProfileController.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class ProfileControllerEvent extends EventObject {
    final EventType eventType;
    
    
    /**
     * An event signifying that a new profile has been selected
     */
    public static final EventType profileSwitched=new EventType("profileSwitched");
    
    /**
     * Create a persistance controller event
     * @param source - event source
     * @param eventType - event type
     */
    public ProfileControllerEvent(Object source,EventType eventType) {
        super(source);
        this.eventType=eventType;
    }
    
    public static class EventType {
        final String name;
        
        public EventType(String name) {
            this.name=name;
        }
        
        /**
         * @return Returns the name.
         */
        public String getName() {
            return name;
        }
        
    }
    /**
     * @return Returns the eventType.
     */
    public EventType getEventType() {
        return eventType;
    }

}
