/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.profile;

import org.springframework.beans.factory.annotation.Required;

/**
 * A profile selector that selects a profile based on supplied default id,
 * and allows runtime switching of current profile  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class SimpleProfileSelector implements IProfileSelector {
    ProfileId defaultProfileId;

    public IProfile getCurrentProfile(IProfileConfig config) {
        return config.getProfile(defaultProfileId);
    }

    public void setCurrentProfile(ProfileId profileId, IProfileConfig config) {
        this.defaultProfileId = profileId;
    }

    /**
     * Specify default profile id
     * @param defaultProfileId
     */
    @Required
    public void setDefaultProfileId(String defaultProfileId) {
        this.defaultProfileId = new ProfileId(defaultProfileId);
    }
}
