/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.profile.dao;

import org.jasig.portal.context.common.profile.ProfileId;
import org.jasig.portal.security.UserId;

/**
 * An interface for persisting single profile preference 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public interface IProfilePreferenceDao {
    /**
     * Determine preferred profile for a given user
     * @param userId user
     * @return preferred profile or <code>null</code> if no preference has been recorded
     */
    ProfileId getPreferredProfile(UserId userId);

    /**
     * Specify a profile preference for a given user
     * @param userId
     * @param profileId
     */
    void setPreferredProfile(UserId userId, ProfileId profileId);
}
