/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.common.profile.dao;

import org.jasig.portal.context.common.profile.ProfileId;
import org.jasig.portal.core.hibernate.BaseStringObjectIdUserType;

/**
 * Hibernate type for {@link ProfileId}  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public class ProfileIdUserType extends BaseStringObjectIdUserType<ProfileId> {

    /**
     * @see org.jasig.portal.core.hibernate.BaseStringObjectIdUserType#createObjectId(java.lang.String)
     */
    @Override
    protected ProfileId createObjectId(String strId) {
        return new ProfileId(strId);
    }

    /**
     * @see org.hibernate.usertype.UserType#returnedClass()
     */
    public Class returnedClass() {
        return ProfileId.class;
    }
}
