/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.common.user;

import javax.servlet.http.HttpSession;

import org.jasig.portal.security.UserId;

/**
 * IStaticUserController is a static analog of {@link org.jasig.portal.context.common.user.IUserController}
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IStaticUserController {
    /**
     * Obtain user id for the current session
     * @param session current session
     * @return the user ID
     */
    public UserId getUserId(HttpSession session);

    /**
     * Check if the current user is authenticated
     * @param session current session
     * @return <code>true</code> if the user is authenticated, otherwise <code>false</code>
     */
    public boolean isUserAuthenticated(HttpSession session);
}
