/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.context.dummy;

import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jasig.portal.context.IContext;
import org.jasig.portal.core.exception.PortalException;

/**
 * DummyContext is a test context that responds to every HTTP request with
 * the same message.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class DummyContext implements IContext {
	
	protected String message;
	
	/* (non-Javadoc)
	 * @see org.jasig.portal.context.IContext#service(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	public void service(HttpServletRequest req, HttpServletResponse res) throws PortalException {
		try {
			PrintWriter pw=res.getWriter();
			pw.println(getMessage());
		} catch (Exception e) {
			throw new PortalException(e);
		}
		
	}
	/**
	 * @return Returns the message.
	 */
	public String getMessage() {
		return message;
	}
	/**
	 * @param message The message to set.
	 */
	public void setMessage(String message) {
		this.message = message;
	}
}
