/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.context.dummy;

import org.jasig.portal.context.common.user.AbstractUserController;
import org.jasig.portal.context.common.user.IUserController;
import org.jasig.portal.context.common.user.IUserControllerEventListener;
import org.jasig.portal.security.IUser;
import org.jasig.portal.security.UserId;
import org.jasig.portal.security.UserImpl;

/**
 *  A static implementation of a user controller
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class DummyUserController extends AbstractUserController implements IUserController {

    UserId userId=null;
    boolean authenticated=false;
    
    public DummyUserController() {};
    
    /**
     * @param userId
     */
    public DummyUserController(UserId userId) {
        this.userId = userId;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.context.common.user.IUserController#getUserId()
     */
    public UserId getUserId() {
        return this.userId;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.context.common.user.IUserController#isUserAuthenticated()
     */
    public boolean isUserAuthenticated() {
        return this.authenticated;
    }
    
    public void setAuthenticationState(boolean value) {
        if(this.authenticated!=value) {
            this.authenticated=value;
            distributeAuthenticationChangedEvent(null);
        } else {
            this.authenticated=value;
        }
    }
    
    /**
     * @param userId The userId to set.
     */
    public void setUserId(UserId userId) {
        UserId oldUserId=this.userId;
        this.userId=userId;
        if(oldUserId!=null) {
            UserImpl user=new UserImpl();
            user.setId(oldUserId);
            distributeUserChangedEvent(user,Boolean.valueOf(authenticated),null);
        }
    }
    
    public void addUserControllerEventListener(IUserControllerEventListener listener) {
    }

    public void removeUserControllerEventListener(IUserControllerEventListener listener) {
    }

    public boolean isAnonymous() {
        return false;
    }

    public IUser getUser() {
        if(userId!=null) {
            UserImpl user=new UserImpl();
            user.setId(userId);
            return user;
        } else {
            return null;
        }
    }
    

}