/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.context.dummy;

import org.jasig.portal.url.IUrlConstructor;
import org.jasig.portal.url.IUrlConstructorProvider;
import org.jasig.portal.url.UrlInfo;

/**
 * RenderUrlConstructorProvider provides a constructor that allows to set basic "render.uP" url state
 * (which is done by {@link org.jasig.portal.context.dummy.RenderUrlDecorator}).
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class RenderUrlConstructorProvider implements IUrlConstructorProvider {
    public final static String CONSTRUCT_NAME=RenderUrlConstructorProvider.class.getName();
    
    private static UrlConstructor urlConstructor=new UrlConstructor();
    
    
    /* (non-Javadoc)
     * @see org.jasig.portal.url.IUrlConstructorProvider#getName()
     */
    public String getName() {
        return CONSTRUCT_NAME;
    }

    public IUrlConstructor getUrlConstructor() {
        return urlConstructor;
    }
    
    static class UrlConstructor implements IUrlConstructor {
        public void writeToUrl(UrlInfo urlInfo) {
            urlInfo.appendFileElement("render");
            urlInfo.setFileSuffix("uP");
        }
    }
}
