/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.core;

import org.springframework.util.Assert;

/**
 * Base ObjectId for String based ids. The id String passed to {@link #BaseStringObjectId(String)}
 * can not be null.
 * 
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision$
 */
public abstract class BaseStringObjectId<T extends BaseStringObjectId> extends ObjectId<T> {
    private final String id;
    
    /**
     * @param id The string represenation of the id, can not be null
     */
    public BaseStringObjectId(final String id) {
        Assert.notNull(id, "id can not be null");
        this.id = id;
    }

    /**
     * @see org.jasig.portal.core.ObjectId#toString()
     */
    @Override
    public String toString() {
        return this.id;
    }
}
