/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.core;

/**
 * Wraps an existing object id with a namespace extension.
 * The resulting key is a direct concatenation of the namespace and the string version of the supplied id 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class ObjectIdNamespaceWrapper extends BaseStringObjectId<ObjectIdNamespaceWrapper> {
    public ObjectId wrappedId;

    public ObjectIdNamespaceWrapper(String namespace, ObjectId id) {
        super(namespace + id.toString());
        this.wrappedId = id;
    }

    /**
     * Obtain wrapped id
     * @return id object being wrapped
     */
    public ObjectId getWrappedId() {
        return this.wrappedId;
    }
}
