/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.groups.services;

import java.util.Properties;
import java.util.Enumeration;

import org.jasig.gap.services.entitytypes.impl.BasicEntityImpl;


/**
 * A BasicEntity implementation used interally by the EntityPropertyRegistry
 * to cache property lookup results
 *
 * @author Alex Vigdor av317@columbia.edu
 * @author Michael Ivanov mivanov@unicon.net
 * @version $Revision: 11911 $
 */
public class EntityProperties extends BasicEntityImpl {
    
    private Properties props;

    public EntityProperties(String key) {
        super(key);
        props = new Properties();
    }

    public String getProperty(String name) {
        return props.getProperty(name);
    }

    public void setProperty(String name, String value) {
        props.setProperty(name, value);
    }

    public String[] getPropertyNames() {
        return  (String[]) props.keySet().toArray(new String[0]);
    }
    
    public boolean equals ( Object object ) {
       if ( object != null && super.equals(object) && object instanceof EntityProperties ) {
        EntityProperties ep = (EntityProperties) object;
        for ( Enumeration e = props.propertyNames(); e.hasMoreElements(); ) {
          String key = (String) e.nextElement();
          String value = props.getProperty(key);
          if ( !value.equals(ep.getProperty(key)) )
            return false;
        }
            return true;
       } 
            return false;
    }
}



