/* Copyright 2002 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.groups.services;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jasig.gap.groups.IEntityNameFinder;

/**
 * Generic implementation of <code>IEntityNameFinder</code>.
 * @author Michael Ivanov
 * @version $Revision: 11911 $
 */
public abstract class GenericNameFinder implements IEntityNameFinder {
    
    protected static final Log log = LogFactory.getLog(GenericNameFinder.class);

    /**
     * Given the key, returns the entity's name.
     * @param key java.lang.String
     */
    public abstract String getName(String key);
    
    /**
     * Returns the entity type for this <code>IEntityFinder</code>.
     * @return java.lang.Class
     */
    public abstract Class getType();

    /**
     * Given an array of keys, returns the names of the entities.
     * @param keys java.lang.String[]
     */
    public Map getNames (String[] keys) {
        HashMap names = new HashMap();
        for (int i = 0; i < keys.length; i++) {
            names.put(keys[i], getName(keys[i]));
        }
        return  names;
    }
    
}