/* Copyright 2002 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.groups.services;

import org.jasig.portal.security.UserId;
import org.jasig.portal.security.dao.IUserDao;

/**
 * Reference implementation of <code>IEntityNameFinder</code> for <code>users</code>.
 * @author Michael Ivanov
 * @version $Revision: 11955 $
 */
public class ReferenceUserNameFinder extends GenericNameFinder {
    
    private IUserDao userDao;

    /**
     * @param userDao The userDao to set.
     */
    public void setUserDao(IUserDao userDao) {
        this.userDao = userDao;
    }

    /**
     * Given the key, returns the entity's name.
     * @param key java.lang.String
     */
    public String getName (String key) {
        return key;
    }

    /**
     * Returns the entity type for this <code>IEntityFinder</code>.
     * @return java.lang.Class
     */
    public Class getType () {
        return UserId.class;
    }
}