/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.i18n;

import java.util.ArrayList;
import java.util.List;
import java.util.Locale;

/**
 * Browser locale preference provider.  The locale is set the the LocaleParameterProcessor, 
 * which gets it from the http request.
 * 
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11911 $
 */
public class BrowserLocalePreferenceProvider implements
		ILocalePreferenceProvider, ILocalePreferenceProcessor {

	private Locale browserLocale;
	
	public List getLocalePreferenceOrder() {
		List locales = new ArrayList();
		if (browserLocale != null) {
			locales.add(browserLocale);
		}
		return locales;
	}

	public void setLocale(Locale locale) {
		this.browserLocale = locale;
	}

}
