/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.i18n;

import java.util.List;

/**
 * Interface for the locale preference providers.
 * 
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11911 $
 */
public interface ILocalePreferenceProvider {
	/**
	 * Get a list of Locale objects in order from most to
     * least prefered.
     * 
	 * @return List of locales, may not be null.
	 */
	List getLocalePreferenceOrder();
}
