/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.i18n;

import java.util.List;
import java.util.Locale;
import java.util.Set;

/**
 * Provider for locale resolution logic.
 * 
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11911 $
 */
public interface ILocaleResolutionProvider {

	/**
	 * Finds the best locale given a list of preferences and available locales.
     * 
	 * @param preferences A List of Locale objects in order of preference, may not be null or zero length.
	 * @param availableLocales Locales available to the calling code, may not be null or zero length.
	 * @return The best matching Locale from the Set of available Locales, may be null if no resolution can be made.
	 */
	public Locale resolveLocale(List preferences, Set availableLocales);
}
