/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.i18n;

import java.util.Locale;

import org.jasig.portal.portlet.window.PortletWindowId;
import org.jasig.portal.security.UserId;

/**
 * User locale preferences.
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11955 $
 */
public interface IUserLocalePreferenceTransfer {

	/**
	 * Get the user locale preference id.
	 * @return long
	 */
	public long getUserLocalePreferenceId();
	
	/**
	 * Set the user locale preference id
	 * @param id
	 */
	public void setUserLocalePreferenceId(long id);
	
	/**
	 * Get the user id.
	 * @return UserId
	 */
	public UserId getUserId();
	
	/**
	 * Set the user id.
	 * @param userId 
	 */
	public void setUserId(UserId userId);
	
	/**
	 * Get the portlet window id
	 * @return PortletWindowId
	 */
	public PortletWindowId getPortletWindowId();
	
	/**
	 * Set the portlet window id.
	 * @param portletWindowId
	 */
	public void setPortletWindowId(PortletWindowId portletWindowId);
	
	/**
	 * Get the locale.
	 * @return Locale
	 */
	public Locale getLocale();
	
	/**
	 * Set the locae.
	 * @param locale
	 */
	public void setLocale(Locale locale);
}
