/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout;

import javax.servlet.http.HttpServletRequest;

/**
 * An accessor for the user layout root node  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUserLayoutRootNodeAccessor {
    /**
     * Get user layout root node
     * @return user layout root node id or <code>null</code> if none was specified (i.e. default root)
     */
    public String getUserLayoutRootNode(HttpServletRequest request);
    
    /**
     * Set user layout root node
     * @param userLayoutRootNode
     * @param req
     */
    public void setUserLayoutRootNode(String userLayoutRootNode, HttpServletRequest req);
}
