/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.transitory;

import org.jasig.portal.portlet.window.PortletWindowId;
import org.jasig.portal.url.IUrlConstructor;
import org.jasig.portal.url.IUrlConstructorProvider;
import org.jasig.portal.url.UrlInfo;

/**
 * uPortal2-style url constructor for requesting portlets by fname. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class LegacyTransientUserLayoutUrlConstructorProvider implements IUrlConstructorProvider {
public final static String CONSTRUCT_NAME = ITransientLayoutManagerCommands.class.getName();
    
    public IUrlConstructor getUrlConstructor() {
        return new LegacyTransientLayoutManagerUrlConstructor();
    }

    public String getName() {
        return CONSTRUCT_NAME;
    }
    
    protected static class LegacyTransientLayoutManagerUrlConstructor implements IUrlConstructor, ITransientLayoutManagerCommands {
        String functionalName=null;
        
        public PortletWindowId showPortlet(String functionalName) {
            this.functionalName=functionalName;
            return null;
        }

        public void writeToUrl(UrlInfo urlInfo) {
            if(functionalName!=null) {
                urlInfo.addParameterValue(LegacyTransientUserLayoutParameterProcessor.FNAME_PARAM,functionalName);    
            }
        }
    }
}
