/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2;

import org.jasig.portal.security.UserId;

/**
 * ILegacyLayoutManagerFactory describes legacy user layout manager factory classes
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface ILegacyLayoutManagerFactory {
    /**
     * Instantiate a user layout manager for a given user id
     * @param userId the identifier of the user
     * @return the resulting user layout manager
     */
    public IUserLayoutManager createUserLayoutManager(UserId userId);
}
