/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2;

import java.util.List;

/**
 * An extension of {@link org.jasig.portal.layout.uportal2.IUserLayoutFolderDescription} that
 * provides information about child nodes.
 * Note: this interface is intended to be used for descriptive purposes, and not for internal layout representation.
 * For instance, it can be used to describe a node structure being added to the layout.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUserLayoutFolderHierarchicalDescription extends IUserLayoutFolderDescription {
    /**
     * A list of child nodes
     * @return List of {@link IUserLayoutNodeDescription} or <code>null</code> if no children are present
     */
    List getChildren();
}
