/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2;

import org.jasig.portal.portlet.window.PortletWindowId;

/**
 *  A default implementation of the subscription manager.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class NodeAdditionManagerImpl implements INodeAdditionManager {
    IUserLayoutNodeDescription node;
    
    public void addFolder(String folderName) {
        IUserLayoutFolderDescription folder=new UserLayoutFolderDescription();
        folder.setName(folderName);
        this.node=folder;
    }

    public void addNode(IUserLayoutNodeDescription node) {
        this.node=node;
    }

    public void addPortlet(PortletWindowId portletWindowId, String portletName, String fname) {
        if(portletWindowId!=null) {
            IUserLayoutChannelDescription channel=new UserLayoutChannelDescription();
            channel.setPortletWindowId(portletWindowId);
            channel.setName(portletName);
            channel.setFunctionalName(fname);
            this.node=channel;
        }
    }

    public IUserLayoutNodeDescription getNode() {
        return this.node;
    }

    public void clear() {
        this.node=null;
        
    }

    public void nodeAdded(IUserLayoutNodeDescription node) {
        // replace existing node with the new description (containing assigned id)
        this.node=node;
    }

}
