/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2.simple.dao;

import org.jasig.portal.layout.IPortletWindowMapping;
import org.jasig.portal.security.UserId;

/**
 * Handles peristence of mapping from template user windowIds to regular windowIds  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface ITemplateUserWindowMappingDao {
    /**
     * Obtain a window mapping from template user window Ids to user window Ids
     * 
     * @param templateUserId id of a template user
     * @param userId id of an actual user
     * @return a portlet window mapping instance
     */
    IPortletWindowMapping getTemplateUserWindowMapping(UserId templateUserId, UserId userId);
    
    
    /**
     * Persist window Id mapping
     * 
     * @param templateUserId id of a template user
     * @param userId id of an actual user
     * @param portletWindowMapping portlet window mapping
     */
    void setTemplateUserWindowMapping(UserId templateUserId, UserId userId, IPortletWindowMapping portletWindowMapping);
}
