/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2.simple.dao;

import org.jasig.portal.layout.IPortletWindowMapping;
import org.jasig.portal.layout.PortletWindowMappingImpl;
import org.jasig.portal.portlet.registry.general.IPortletApplicationEntityRegistry;
import org.jasig.portal.portlet.registry.general.IPortletEntityRegistry;
import org.jasig.portal.portlet.registry.general.IPortletWindowRegistry;
import org.jasig.portal.security.UserId;

/**
 * A wrapper object that contains transient windowMapping settings (i.e. registries)  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class TemplateUserWindowMappingDaoWrapper implements ITemplateUserWindowMappingDao {
    protected boolean removeUnusedWindows=true;
    protected boolean removeEmptyEntities=true;
    protected IPortletWindowRegistry windowRegistry,templateUserWindowRegistry;
    protected IPortletEntityRegistry entityRegistry,templateUserEntityRegistry;
    protected IPortletApplicationEntityRegistry applicationEntityRegistry, templateUserApplicationEntityRegistry;
    ITemplateUserWindowMappingDao dao;
    
    public IPortletWindowMapping getTemplateUserWindowMapping(UserId templateUserId, UserId userId) {
        IPortletWindowMapping windowMapping=dao.getTemplateUserWindowMapping(templateUserId,userId);
        PortletWindowMappingImpl wm=(PortletWindowMappingImpl) windowMapping;
        // set transient properties
        wm.setRemoveEmptyEntities(removeEmptyEntities);
        wm.setRemoveUnusedWindows(removeUnusedWindows);
        wm.setEntityRegistry(entityRegistry);
        wm.setWindowRegistry(windowRegistry);
        wm.setTemplateUserEntityRegistry(templateUserEntityRegistry);
        wm.setTemplateUserWindowRegistry(templateUserWindowRegistry);
        wm.setApplicationEntityRegistry(applicationEntityRegistry);
        wm.setTemplateUserApplicationEntityRegistry(templateUserApplicationEntityRegistry);
        return wm;
    }
    public void setTemplateUserWindowMapping(UserId templateUserId, UserId userId, IPortletWindowMapping portletWindowMapping) {
        dao.setTemplateUserWindowMapping(templateUserId,userId,portletWindowMapping);
    }
    public void setDao(ITemplateUserWindowMappingDao dao) {
        this.dao = dao;
    }
    
    public void setEntityRegistry(IPortletEntityRegistry entityRegistry) {
        this.entityRegistry = entityRegistry;
    }

    public void setRemoveEmptyEntities(boolean removeEmptyEntities) {
        this.removeEmptyEntities = removeEmptyEntities;
    }

    public void setRemoveUnusedWindows(boolean removeUnusedWindows) {
        this.removeUnusedWindows = removeUnusedWindows;
    }

    public void setTemplateUserEntityRegistry(IPortletEntityRegistry templateUserEntityRegistry) {
        this.templateUserEntityRegistry = templateUserEntityRegistry;
    }

    public void setTemplateUserWindowRegistry(IPortletWindowRegistry templateUserWindowRegistry) {
        this.templateUserWindowRegistry = templateUserWindowRegistry;
    }

    public void setWindowRegistry(IPortletWindowRegistry windowRegistry) {
        this.windowRegistry = windowRegistry;
    }
    public void setApplicationEntityRegistry(IPortletApplicationEntityRegistry applicationEntityRegistry) {
        this.applicationEntityRegistry = applicationEntityRegistry;
    }
    public void setTemplateUserApplicationEntityRegistry(IPortletApplicationEntityRegistry templateUserApplicationEntityRegistry) {
        this.templateUserApplicationEntityRegistry = templateUserApplicationEntityRegistry;
    }
    
}
