/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2.simple.dao.filesystem;

import javax.xml.parsers.DocumentBuilderFactory;

import org.jasig.portal.layout.uportal2.simple.dao.IUserLayoutDao;
import org.jasig.portal.security.UserId;
import org.w3c.dom.Document;

/**
 * A filesystem implementation of the {@link org.jasig.portal.layout.uportal2.simple.dao.IUserLayoutDao}
 * Currently is a simple read-only version for testing. The layout is read from a file specified by
 * layoutFile property. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class FileLayoutDao implements IUserLayoutDao {
    String layoutFile;

    /**
     * Set classpath-relative file location
     * @param layoutFile
     */
    public void setLayoutFile(String layoutFile) {
        this.layoutFile = layoutFile;
    }
    
    long idCounter=100;
    
    public String generateNewChannelSubscribeId(UserId user) throws Exception {
        return Long.toString(++idCounter);
    }

    public String generateNewFolderId(UserId user) throws Exception {
        return Long.toString(++idCounter);
    }

    public Document getUserLayout(UserId user) throws Exception {
        return loadLayoutFromFile(layoutFile); 
    }
    
    protected Document loadLayoutFromFile(String layoutFile) throws Exception {
        return DocumentBuilderFactory.newInstance().newDocumentBuilder().parse(this.getClass().getResourceAsStream(layoutFile));
    }

    public void setUserLayout(UserId user, Document layoutXML, boolean channelsAdded) throws Exception {
        
    }
}
