/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.layout.uportal2.url;

import org.apache.commons.digester.ObjectCreationFactory;

/**
 *  For use by {@link org.jasig.portal.layout.uportal2.LegacyLayoutSourceRequestParameterProcessor}.
 *  
 *  Provides digester object creation factories for processing
 *  add commands. This includes factories that generate folder and portlet
 *  {@link org.jasig.portal.layout.node.IUserLayoutNodeDescription} implementations that do attribute processing.
 *  
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IAddCommandsDigesterFactoryProvider {
    /**
     * @return factory for creating folder digester objects
     */
    ObjectCreationFactory getFolderCreationFactory();
    /**
     * 
     * @return factory for creating portlet digester objects
     */
    ObjectCreationFactory getPortletCreationFactory();
}
