/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet;

import javax.portlet.ActionResponse;

/**
 * An extension of the ActionResponse interface that
 * allows to add parameters to the redirect URL, by
 * requesting additional constructors. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public interface IActionResponse extends ActionResponse {
    /**
     * Returns an implementation of the specified URL constructor.
     * The output of the custructor will be incorporated into the redirect URL.
     * 
     * @param name - name of the appropriate URL constructor. The name must be unique within current context. 
     * By convention the name is equal to the full name of the relevant command interface.
     * @return an implementation of the specified constructor
     * @see {@link org.jasig.portal.url.IPortalUrl}
     */
    Object getRedirectUrlConstructor(String name);
}
