/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet;

import org.apache.pluto.PortletWindow;
import org.apache.pluto.internal.InternalPortletWindow;
import org.jasig.portal.portlet.window.IPortletWindow;

/**
 * An interface defining translations from uPortal to Pluto domain objects
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPlutoDomainObjectHelper {
    /**
     * Obtain Pluto portlet window
     * @param window uPortal portlet window
     * @return
     */
    PortletWindow getPortletWindow(IPortletWindow window);
    
    /**
     * Obtain uPortal window given Pluto window instance
     * @param plutoWindow
     * @return
     */
    IPortletWindow getPortletWindow(PortletWindow plutoWindow);
    /**
     * Obtain uPortal window given Pluto internal window instance
     * @param internalPlutoWindow
     * @return
     */
    IPortletWindow getPortletWindow(InternalPortletWindow internalPlutoWindow);
}
