/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

import java.util.HashSet;
import java.util.List;
import java.util.Set;

import javax.portlet.PortletMode;

import org.apache.pluto.descriptors.portlet.SupportsDD;


/**
 * Implementation of IContentType.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11911 $
 */
public class ContentTypeImpl implements IContentType {
    private SupportsDD supportsDD;
    
    public ContentTypeImpl(SupportsDD supportsDD) {
        if (supportsDD == null) {
            throw new IllegalArgumentException("SupportsDD can not be null");
        }
        
        this.supportsDD = supportsDD;
    }

    /**
     * @see org.jasig.portal.portlet.common.IContentType#getMimeType()
     */
    public String getMimeType() {
        return this.supportsDD.getMimeType();
    }

    /**
     * @see org.jasig.portal.portlet.common.IContentType#getPortletModeSet()
     */
    @SuppressWarnings("unchecked")
    public Set<PortletMode> getPortletModeSet() {
        final List<String> plutoPortletModes = this.supportsDD.getPortletModes();
        final Set<PortletMode> upPortletModes = new HashSet<PortletMode>(plutoPortletModes.size());
        
        for (final String plutoPortletMode : plutoPortletModes) {
            final PortletMode upPortletMode = new PortletMode(plutoPortletMode);
            upPortletModes.add(upPortletMode);
        }
        
        return upPortletModes;
    }
}
