/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

import java.util.Set;

import javax.portlet.PortletMode;

/**
 * Content type represented as a mime type string.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface IContentType {

    /**
     * Returns the mime type.
     * @return the mime type
     */
    public String getMimeType();
    
    /**
     * Returns the set of supported portlet modes for this content type.
     * @return the set of supported portlet modes for this content type
     */
    public Set<PortletMode> getPortletModeSet();
}