/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

import java.util.Locale;
import java.util.Map;


/**
 * Interface that specifies objects that may have descriptions.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface IDescribable {

    /**
     * Returns the descriptions for this object.
     * The return value may be NULL.
     * @return the descriptions for this object
     */
    public Map<Locale, IDescription> getDescriptions();
}
