/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/
package org.jasig.portal.portlet.common;

/**
 * Parameter consisting of a name, value, and
 * optional set of descriptions.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface IInitParameter extends IDescribable {
    /**
     * Returns the name associated with this parameter.
     * The return value cannot be NULL.
     * @return the name associated with this parameter
     */
    public String getName();

    /**
     * Returns the value associated with this parameter.
     * The return value cannot be NULL.
     * @return the value associated with this parameter
     */
    public String getValue();
    
}
