/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

import java.util.List;
import java.util.Locale;
import java.util.Map;


/**
 * Associates security constraints with one or more portlets.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11911 $
 */
public interface ISecurityConstraint {

    /**
     * Returns the display names for this security constraint.
     * The return value may be NULL.
     * @return the display names for this security constraint
     */
    public Map<Locale, IDisplayName> getDisplayNames();
    
    /**
     * Returns the portlet collection for this security constraint.
     * The return value cannot be NULL.
     * @return the portlet collection for this security constraint
     */
    public List<String> getPortletCollection();
    
    /**
     * Returns the user data constraint for this security constraint.
     * The return value cannot be NULL.
     * @return the user data constraint for this security constraint.
     */
    public IUserDataConstraint getUserDataConstraint();
}
