/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.common;

/**
 * Security role reference consisting of a role name, role link,
 * and optional set of descriptions.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11911 $
 */
public interface ISecurityRoleReference extends IDescribable {

    /**
     * Returns the role link.
     * The return value may be NULL.
     * @return the role link
     */
    public String getRoleLink();
    
    /**
     * Returns the role name.
     * The return value cannot be NULL.
     * @return the role name
     */
    public String getRoleName();
}
