/* Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.container.services;

import javax.servlet.ServletContext;

import org.apache.pluto.PortletContainer;
import org.apache.pluto.PortletContainerException;
import org.springframework.beans.factory.annotation.Required;
import org.springframework.web.context.ServletContextAware;

/**
 * Simple wrapper around PortletContainer that uses ServletContextAware
 * to get the ServletContext reference
 * 
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision$
 */
public class ContainerInitializer implements ServletContextAware {
    private PortletContainer portletContainer;
    
    public PortletContainer getPortletContainer() {
        return this.portletContainer;
    }
    
    @Required
    public void setPortletContainer(PortletContainer portletContainer) {
        this.portletContainer = portletContainer;
    }


    /**
     * @see org.springframework.web.context.ServletContextAware#setServletContext(javax.servlet.ServletContext)
     */
    public void setServletContext(ServletContext servletContext) {
        try {
            this.portletContainer.init(servletContext);
        }
        catch (PortletContainerException pce) {
            throw new IllegalStateException("Failed to initialize PortletContainer", pce);
        }
    }
}
