/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.container.services;

import org.apache.pluto.OptionalContainerServices;
import org.apache.pluto.core.DefaultPortalAdministrationService;
import org.apache.pluto.core.DefaultPortletEnvironmentService;
import org.apache.pluto.core.DefaultPortletInvokerService;
import org.apache.pluto.core.DefaultPortletPreferencesService;
import org.apache.pluto.core.PortletContextManager;
import org.apache.pluto.spi.optional.PortalAdministrationService;
import org.apache.pluto.spi.optional.PortletEnvironmentService;
import org.apache.pluto.spi.optional.PortletInfoService;
import org.apache.pluto.spi.optional.PortletInvokerService;
import org.apache.pluto.spi.optional.PortletPreferencesService;
import org.apache.pluto.spi.optional.PortletRegistryService;
import org.apache.pluto.spi.optional.UserInfoService;

/**
 * Optional container services, defaults to Pluto implementations
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public class OptionalContainerServicesImpl implements OptionalContainerServices {
    private PortletEnvironmentService portletEnvironmentService = new DefaultPortletEnvironmentService();
    private PortletInfoService portletInfoService = null;
    private PortletInvokerService portletInvokerService = new DefaultPortletInvokerService();
    private PortletPreferencesService portletPreferencesService = new DefaultPortletPreferencesService();
    private PortletRegistryService portletRegistryService = PortletContextManager.getManager();
    private PortalAdministrationService portalAdministrationService = new DefaultPortalAdministrationService();
    
    
    public PortletEnvironmentService getPortletEnvironmentService() {
        return portletEnvironmentService;
    }

    public PortletInfoService getPortletInfoService() {
        return portletInfoService;
    }

    public PortletInvokerService getPortletInvokerService() {
        return portletInvokerService;
    }

    public PortletPreferencesService getPortletPreferencesService() {
        return portletPreferencesService;
    }

    public PortletRegistryService getPortletRegistryService() {
        return portletRegistryService;
    }
    
    public PortalAdministrationService getPortalAdministrationService() {
        return portalAdministrationService;
    }
    
    public UserInfoService getUserInfoService() {
        throw new UnsupportedOperationException("The UserInfoService is not supported by uPortal");
    }

    public void setPortletEnvironmentService(PortletEnvironmentService portletEnvironmentService) {
        this.portletEnvironmentService = portletEnvironmentService;
    }

    public void setPortletInfoService(PortletInfoService portletInfoService) {
        this.portletInfoService = portletInfoService;
    }

    public void setPortletInvokerService(PortletInvokerService portletInvokerService) {
        this.portletInvokerService = portletInvokerService;
    }

    public void setPortletPreferencesService(PortletPreferencesService portletPreferencesService) {
        this.portletPreferencesService = portletPreferencesService;
    }

    public void setPortletRegistryService(PortletRegistryService portletRegistryService) {
        this.portletRegistryService = portletRegistryService;
    }

    public void setPortalAdministrationService(PortalAdministrationService portalAdministrationService) {
        this.portalAdministrationService = portalAdministrationService;
    }
}
