/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.container.services;

import java.net.MalformedURLException;
import java.net.URL;

import javax.servlet.http.HttpServletRequest;

import org.apache.pluto.spi.ResourceURLProvider;

/**
 * Implementation of Apache Pluto object model.
 * @author Michael Ivanov, mivanov@unicon.net
 * @version $Revision: 11911 $
 */
public class ResourceUrlProviderImpl implements ResourceURLProvider {

    // TODO: make a portlet-app-aware implementation
    
    private String stringUrl = "";
    private String base = "";

    public ResourceUrlProviderImpl(HttpServletRequest request) {
        this.base = getBaseUrl(request);
    }

    // ResourceURLProvider methods
    
    public void setAbsoluteURL(String path) {
        stringUrl = path;
    }

    public void setFullPath(String path) {
        stringUrl = base + path;
    }
    
    public String toString() {
        URL url = null;

        if (!stringUrl.equals("")) {
            try {
                url = new URL(stringUrl);
            } catch (MalformedURLException e) {
                throw new java.lang.IllegalArgumentException("A malformed URL has occured");
            }
        }

        return ((url == null) ? "" : url.toString());
    }
    
    // Additional methods
    
    private String getBaseUrl(HttpServletRequest request) {
        String scheme = request.getScheme();
        String serverName = request.getServerName();
        int serverPort = request.getServerPort();
        return scheme + "://" + serverName + ":" + serverPort;
    }
}