/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.container.services;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.apache.pluto.spi.optional.AdministrativeRequestListener;
import org.apache.pluto.spi.optional.PortalAdministrationService;

/**
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision$
 */
public class SimplePortalAdministrationService implements PortalAdministrationService {
    private List<AdministrativeRequestListener> administrativeRequestListeners = new ArrayList<AdministrativeRequestListener>();
    
    /**
     * @see org.apache.pluto.spi.optional.PortalAdministrationService#getAdministrativeRequestListeners()
     */
    public List getAdministrativeRequestListeners() {
        return this.administrativeRequestListeners;
    }
    
    public List getPortletInvocationListeners() {
        return Collections.emptyList();
    }

    /**
     * @param administrativeRequestListeners the administrativeRequestListeners to set
     */
    public void setAdministrativeRequestListeners(List<AdministrativeRequestListener> administrativeRequestListeners) {
        this.administrativeRequestListeners = administrativeRequestListeners;
    }
}
