/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.dao;

import java.util.Set;

import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.transfer.IPortletApplicationDeploymentTransfer;

/**
 * Portlet deployment data access object.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationDeploymentDao {

    /**
     * Returns all available portlet application deployments.  The set contains IPortletApplicationDeploymentTransfer
     * objects.
     * @return the portlet application deployments or empty collection
     */
    public Set<IPortletApplicationDeploymentTransfer> getPortletApplicationDeployments();

    /**
     * Returns a portlet application deployment.
     * @param portletApplicationDeploymentId the portlet application deployment object identifier
     * @return the portlet application deployment
     */
    public IPortletApplicationDeploymentTransfer getPortletApplicationDeployment(PortletApplicationDeploymentId portletApplicationDeploymentId);
    
}
