/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.dao;

import java.util.Set;

import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.deployment.PortletDeploymentId;
import org.jasig.portal.portlet.transfer.IPortletDeploymentTransfer;

/**
 * Portlet deployment data access object.
 * @author Mike DeSimone, mike.desimone@rsmart.com
 * @version $Revision: 11955 $
 */
public interface IPortletDeploymentDao {

    /**
     * Returns a portlet deployment
     * or <code>null</code> if no portlet deployment exists 
     * for the given portlet deployment ID.
     * @param portletDeploymentId the portlet deployment object identifier
     * @return the portlet deployment
     */
    public IPortletDeploymentTransfer getPortletDeployment(PortletDeploymentId portletDeploymentId);
    
    /**
     * Returns the portlet deployments for a given portlet application deployment.  The set contains
     * IPortletDeploymentTransfer objects.
     * @param portletApplicationDeploymentId the portlet application deployment object identifier
     * @return the portlet deployments or null if the portletApplicationDeploymentId can not be found
     */
    public Set<IPortletDeploymentTransfer> getPortletDeployments(PortletApplicationDeploymentId portletApplicationDeploymentId);

}
