/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.dao.hibernate.types;

import org.jasig.portal.core.hibernate.BaseStringObjectIdUserType;
import org.jasig.portal.security.UserId;

/**
 * Hibernate type for UserId
 * 
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11955 $
 */
public class UserIdUserType extends BaseStringObjectIdUserType<UserId> {

    /**
     * @see org.jasig.portal.core.hibernate.BaseStringObjectIdUserType#createObjectId(java.lang.String)
     */
    @Override
    protected UserId createObjectId(String strId) {
        return new UserId(strId);
    }

    /**
     * @see org.hibernate.usertype.UserType#returnedClass()
     */
    public Class returnedClass() {
        return UserId.class;
    }
}
