/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.definition;

import org.jasig.portal.portlet.deployment.IPortletDeploymentInformationProvider;

/**
 * Portlet definition information provider interface 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortletDefinitionInformationProvider extends IPortletDeploymentInformationProvider {
    /**
     * @return The unique functional name for this portlet definition, may not be null.
     */
    public String getFunctionalName();
    
    /**
     * Returns the maximum time allowed for the portlet to render
     * 
     * @return maximum allowed render time in milliseconds
     */
    public long getRenderTimeOut();
}
