/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.deployment;

import org.jasig.portal.portlet.transfer.IPortletApplicationDeploymentTransfer;



/**
 * A deployed portlet application definition.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationDeployment extends IPortletApplicationDeploymentInformationProvider {
    
    /**
     * Gets the ID of this portlet application definition.
     * @return id the object identifier
     */
    public PortletApplicationDeploymentId getPortletApplicationDeploymentId();
    
    /**
     * @return Gets the underlying transfer object, may not be null.
     */
    public IPortletApplicationDeploymentTransfer getPortletApplicationDeploymentTransfer();
}
