/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.deployment;

import org.jasig.portal.portlet.transfer.IPortletDeploymentTransfer;


/**
 * Immutable portlet definition.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletDeployment extends IPortletDeploymentInformationProvider {
    
    /**
     * Returns the ID of the portlet deployment
     * that this portlet deployment is based on.
     * @return the portlet deployment ID
     */
    public PortletDeploymentId getPortletDeploymentId();


    /**
     * Returns the ID of the PortletApplication deployment in which this portlet resides.
     * The return value cannot be NULL.
     * @return the portlet application deployment ID of this portlet
     */
    public PortletApplicationDeploymentId getPortletApplicationDeploymentId();
    
    /**
     * @return The underlying transfer object, may not be null.
     */
    public IPortletDeploymentTransfer getPortletDeploymentTransfer();

}
