/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.entity;

import org.jasig.portal.portlet.definition.PortletApplicationDefinitionId;
import org.jasig.portal.portlet.transfer.IPortletApplicationEntityTransfer;

/**
 * Immutable portlet application entity whose preferences
 * may have been customized during portlet application subscription.
 * There is no difference right now between an IPortletApplicationEntity
 * and a IPortletApplicationDefinition, but this serves as a placeholder for 
 * any future differences.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationEntity extends IPortletApplicationEntityInformationProvider {

    /**
     * Gets the ID of this portlet application entity.
     * @return id the object identifier
     */
    public PortletApplicationEntityId getPortletApplicationEntityId();

    /**
     * Returns the ID of the portlet application definition
     * that this portlet application entity is based on.
     * @return the portlet application definition ID
     */
    public PortletApplicationDefinitionId getPortletApplicationDefinitionId();
    
    
    /**
     * @return The underlying {@link IPortletApplicationEntityTransfer}, may not be null.
     */
    public IPortletApplicationEntityTransfer getPortletApplicationEntityTransfer();
}
