/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.entity;

import org.jasig.portal.portlet.common.IPreferences;

/**
 * Mutable portlet entity interface.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletEntityControl extends IPortletEntity {

    /**
     * Sets the ID of this portlet entity.
     * @param id the object identifier
     */
    public void setPortletEntityId(PortletEntityId id);
        
    /**
     * Sets the subscribe-time portlet preferences which overlay the portlet
     * preferences from the portlet definition.
     * @param preferences the subscribe-time portlet preferences
     */
    public void setPreferences(IPreferences preferences);
    
}
