/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.definition.IPortletApplicationDefinition;
import org.jasig.portal.portlet.definition.IPortletDefinition;
import org.jasig.portal.portlet.registry.DomainObjectCreationException;
import org.jasig.portal.portlet.transfer.IPortletApplicationDefinitionTransfer;
import org.jasig.portal.portlet.transfer.IPortletDefinitionTransfer;

/**
 * The portlet definition factory.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11911 $
 */
public interface IPortletDefinitionFactory {
    
    /**
     * Creates the portlet definition instance.
     * @param portletDefinitionTransfer the transfer object
     * @return the portlet definiton
     * @throws DomainObjectCreationException 
     */
    public IPortletDefinition createPortletDefinition(IPortletDefinitionTransfer portletDefinitionTransfer) throws DomainObjectCreationException;
    
    /**
     * Creates the portlet application definition instance.
     * @param portletApplicationDefinitionTransfer the transfer object
     * @return the portlet application definition
     * @throws DomainObjectCreationException 
     */
    public IPortletApplicationDefinition createPortletApplicationDefinition(IPortletApplicationDefinitionTransfer portletApplicationDefinitionTransfer) throws DomainObjectCreationException;
}
