/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 *  See license distributed with this file and
 *  available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.deployment.IPortletApplicationDeployment;
import org.jasig.portal.portlet.deployment.IPortletDeployment;
import org.jasig.portal.portlet.transfer.IPortletApplicationDeploymentTransfer;
import org.jasig.portal.portlet.transfer.IPortletDeploymentTransfer;

/**
 * The portlet deployment factory.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11911 $
 */
public interface IPortletDeploymentFactory {

    /**
     * Creates the portlet deployment instance.
     * @param portletDeploymentTransfer the transfer object
     * @return the portlet deployment
     */
    public IPortletDeployment createPortletDeployment(IPortletDeploymentTransfer portletDeploymentTransfer);

    /**
     * Creates the portlet application deployment instance.
     * @param portletApplicationDeploymentTransfer the transfer object
     * @return the portlet deployment
     */
    public IPortletApplicationDeployment createPortletApplicationDeployment(IPortletApplicationDeploymentTransfer portletApplicationDeploymentTransfer);

}
