/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.entity.IPortletApplicationEntity;
import org.jasig.portal.portlet.entity.IPortletEntity;
import org.jasig.portal.portlet.registry.DomainObjectCreationException;
import org.jasig.portal.portlet.transfer.IPortletApplicationEntityTransfer;
import org.jasig.portal.portlet.transfer.IPortletEntityTransfer;
import org.jasig.portal.security.UserId;


/**
 * The portlet entity factory.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletEntityFactory {
    
    /**
     * Creates the portlet entity instance.
     * @param userId the user identifier
     * @param portletEntityTransfer the portlet entity transfer object
     * @return the portlet entity
     * @throws DomainObjectCreationException 
     */
    public IPortletEntity createPortletEntity(UserId userId, IPortletEntityTransfer portletEntityTransfer) throws DomainObjectCreationException;
        
    /**
     * Creates the portlet application entity instance.
     * @param userId the user identifier
     * @param portletApplicationEntityTransfer the transfer object
     * @return the portlet application entity
     * @throws DomainObjectCreationException 
     */
    public IPortletApplicationEntity createPortletApplicationEntity(IPortletApplicationEntityTransfer portletApplicationEntityTransfer) throws DomainObjectCreationException;
}
