/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.factory;

import org.jasig.portal.portlet.entity.IPortletEntity;
import org.jasig.portal.portlet.registry.DomainObjectCreationException;
import org.jasig.portal.portlet.transfer.IPortletWindowTransfer;
import org.jasig.portal.portlet.window.IPortletWindow;
import org.jasig.portal.portlet.window.PortletWindowId;
import org.jasig.portal.security.UserId;

/**
 * The portlet window factory.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletWindowFactory {
    
    /**
     * Creates a new portlet window based on the given portlet window transfer.
     * @param userId the user identifier
     * @param portletWindowTransfer the portlet window transfer
     * @return a portlet window
     * @throws DomainObjectCreationException 
     */
    public IPortletWindow createPortletWindow(UserId userId, IPortletWindowTransfer portletWindowTransfer) throws DomainObjectCreationException;

    /**
     * Creates a new EMPTY portlet window based on the given portlet entity. CREATED TO SUPPORT WSRP FACTORY CALLS!!
     * @param portletEntity the portlet entity
     * @param portletWindowId the portlet window identifier
     * @return a portlet window
     * @throws DomainObjectCreationException 
     */
    public IPortletWindow createPortletWindow(IPortletEntity portletEntity, PortletWindowId portletWindowId) throws DomainObjectCreationException;
}
