/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.registry.event;

import org.jasig.portal.portlet.definition.PortletApplicationDefinitionId;
import org.jasig.portal.portlet.registry.general.IPortletApplicationDefinitionRegistry;


/**
 * A listener for events on PortletApplicationDefinitions
 * <br>
 * <br>
 * <b>Note:</b> The events are not called in a new thread, the dispatching registry will
 * wait until all listeners have completed their event handling.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationDefinitionEventListener extends IRegistryEventListener<PortletApplicationDefinitionId,IPortletApplicationDefinitionRegistry> {
}
