/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.registry.event;

import java.util.List;

/**
 * A generic interface for registry events 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IRegistryEventSource<GT_RegistryListener extends IRegistryEventListener> {
    /**
     * Sets the event listeners to this registry.
     * @param listeners
     */
    public void setRegistryEventListeners(List<GT_RegistryListener> listeners);
    
    /**
     * Adds an event listener to this registry.
     * @param listener
     */
    public void addRegistryEventListener(GT_RegistryListener listener);
    
    /**
     * Adds the event listeners for this registry.
     * @param listeners
     */
    public void addRegistryEventListeners(List<? extends GT_RegistryListener> listeners);
    
    /**
     * Removes an event listener from this registry.
     * @param listener
     */
    public void removeRegistryEventListener(GT_RegistryListener listener);
    
}
