/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.registry.event;
import org.jasig.portal.core.ObjectId;
import org.springframework.util.Assert;

/**
 * Base event type for all registry related events.
 * 
 * @author Eric Dalquist
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class RegistryEvent<T extends ObjectId, U>  {
    protected T id;
    protected U registry;
    
    public RegistryEvent(T id,U registry) {
        Assert.notNull(id, "id can not be null");
        Assert.notNull(registry, "registry can not be null");

        this.id=id;
        this.registry=registry;
    }
    
    public T getId() {
        return id;
    }

    protected U getRegistry() {
        return registry;
    }
}
