/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.registry.general;

import java.util.Set;

import org.jasig.portal.portlet.deployment.IPortletApplicationDeployment;
import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.registry.event.IPortletApplicationDeploymentEventListener;
import org.jasig.portal.portlet.registry.event.IRegistryEventSource;


/**
 * The portlet application deployment registry interface.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationDeploymentRegistry extends IRegistryEventSource<IPortletApplicationDeploymentEventListener>{
    
    /**
     * Returns a Set of all available portlet application deployments.
     * @return An immutable Set of portlet application deployments, may not be null. 
     */
    public Set<IPortletApplicationDeployment> getPortletApplicationDeployments();

    /**
     * Returns a portlet application deployment for a portlet application
     * deployment id.
     * 
     * @param portletApplicationDeploymentId the portlet application deployment id to get the deployment for, may not be null.
     * @return the portlet application deployment, may be null if no deployment exists for the id.
     */
    public IPortletApplicationDeployment getPortletApplicationDeployment(PortletApplicationDeploymentId portletApplicationDeploymentId);
}
