/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.registry.general;

import java.util.Set;

import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.deployment.IPortletDeployment;
import org.jasig.portal.portlet.deployment.PortletDeploymentId;
import org.jasig.portal.portlet.registry.event.IPortletDeploymentEventListener;
import org.jasig.portal.portlet.registry.event.IRegistryEventSource;

/**
 * The portlet deployment registry interface.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IPortletDeploymentRegistry extends IRegistryEventSource<IPortletDeploymentEventListener>{
    
    /**
     * Returns A list of all available portlets for the specified portlet application
     * @param portletApplicationDeploymentId the portlet application deployment identifier
     * @return the portlet deployments
     */
    public Set<IPortletDeployment> getPortletDeployments(PortletApplicationDeploymentId portletApplicationDeploymentId);
    
    /**
     * Returns the portlet deployment contained in the registry.
     * @param portletDeploymentId the portlet deployment identifier
     * @return the portlet deployment
     */
    public IPortletDeployment getPortletDeployment(PortletDeploymentId portletDeploymentId);

}
