/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.portlet.rendering;

import javax.servlet.http.HttpServletRequest;

/**
 * IPortletWindowManagerAccessor defines how portlet window manager is associated with the request
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortletWindowManagerAccessor {
    /**
     * Obtain window manager associated with a given request
     * @param request http request
     * @return window manager for the given request
     */
    IPortletWindowManager getPortletWindowManager(HttpServletRequest request);
    
    /**
     * Associate given window manager with a request
     * @param windowManager window manager
     * @param request http request
     */
    void setPortletWindowManager(IPortletWindowManager windowManager, HttpServletRequest request);

}
