/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.portlet.rendering;

import org.jasig.portal.portlet.window.PortletWindowId;

/**
 * PortletRenderingNotStartedException is thrown when rendered content is requested, but the rendering of a given window has not been
 * initiated.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class PortletRenderingNotStartedException extends PortletRenderingException {
    private static final String DEFAULT_MESSAGE = "Rendering has not been initiated for portlet window id={0}.";
    
    public PortletRenderingNotStartedException(PortletWindowId windowId) {
        super(windowId);
    }
    
    public String getDefaultMessageTemplate() {
        return DEFAULT_MESSAGE;
    }

}
