/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.portlet.rendering;

import javax.servlet.http.HttpServletRequest;


/**
 * PortletWindowManagerAccessorImpl implements default window manager - http request association
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class PortletWindowManagerAccessorImpl implements IPortletWindowManagerAccessor {
    /**
     * Location (attribute key) of the portlet window manager impl in the request
     */
    protected static final String WINDOWMANAGER_ATTRIBUTE_KEY=PortletWindowManagerAccessorImpl.class.getName();
    
    
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletWindowManagerAccessor#getPortletWindowManager(javax.servlet.http.HttpServletRequest)
     */
    public IPortletWindowManager getPortletWindowManager(HttpServletRequest request) {
        return (IPortletWindowManager) request.getAttribute(WINDOWMANAGER_ATTRIBUTE_KEY);
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletWindowManagerAccessor#setPortletWindowManager(org.jasig.portal.portlet.rendering.IPortletWindowManager, javax.servlet.http.HttpServletRequest)
     */
    public void setPortletWindowManager(IPortletWindowManager windowManager, HttpServletRequest request) {
        request.setAttribute(WINDOWMANAGER_ATTRIBUTE_KEY,windowManager);
    }
}
