/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.portlet.rendering;

import javax.servlet.http.HttpServletRequest;

/**
 * RenderContentAccessorImpl description
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class RenderContentAccessorImpl implements IRenderContentAccessor {
    public final static String RENDERED_CONTENT_ATTRIBUTE_BASE_KEY=RenderContentAccessorImpl.class.getName()+".windowId=";
    
    /**
     * Obtain a rendered content for a given window id from request attribute
     * @param plutoWindowId window id
     * @param req request
     * @return content rendered by the portlet or <code>null</code> if rendering was not completed
     */
    public IPortletRenderContent getRenderedContent(String plutoWindowId,HttpServletRequest req) {
         return (IPortletRenderContent) req.getAttribute(RENDERED_CONTENT_ATTRIBUTE_BASE_KEY+plutoWindowId);
    }
    
    /**
     * Associate rendered content of a portlet with a request
     * @param plutoWindowId window id
     * @param req request
     */
    public void setRenderedContent(String plutoWindowId, IPortletRenderContent content, HttpServletRequest req) {
        req.setAttribute(RENDERED_CONTENT_ATTRIBUTE_BASE_KEY+plutoWindowId,content);
    }
}
