/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.portlet.rendering;

import java.io.UnsupportedEncodingException;
import java.util.Locale;

/**
 * StaticContent returns an portlet content containing a static message.
 * The default message is empty. This is primarily for error fallback handling.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class StaticContent implements IPortletRenderContent {
    String content="";
    String title="";
    
    
    public StaticContent() {
        super();
    }
    
    public StaticContent(String content) {
        this();
        this.content = content;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletRenderContent#getBinaryOutput()
     */
    public byte[] getBinaryOutput() {
        return content.getBytes();
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletRenderContent#getCharacterOutput()
     */
    public String getCharacterOutput() throws UnsupportedEncodingException {
        return content;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletRenderContent#getContentType()
     */
    public String getContentType() {
        return "text/html";
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletRenderContent#getLocale()
     */
    public Locale getLocale() {
        return Locale.getDefault();
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.portlet.rendering.IPortletRenderContent#getTitle()
     */
    public String getTitle() {
        return this.title;
    }
    
    public void setTitle(String title) {
        this.title = title;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getPortletExpirationCache() {
        return "0"; // no caching
    }
}
