/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.servant;

/**
 * Static locator class for access to the {@link IPortletServantLocator}
 * 
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision: 11911 $
 */
public final class ServantLocatorAccessor {
    private static IPortletServantLocator portletServantLocator;
    
    public static IPortletServantLocator getServantLocator() {
        return ServantLocatorAccessor.portletServantLocator;
    }

    public static void setServantLocator(IPortletServantLocator portletServantLocator) {
        ServantLocatorAccessor.portletServantLocator = portletServantLocator;
    }
    
    //***** non-static methods for spring based injection of the locator *****//
    public IPortletServantLocator getPortletServantLocator() {
        return ServantLocatorAccessor.portletServantLocator;
    }

    public void setPortletServantLocator(IPortletServantLocator portletServantLocator) {
        ServantLocatorAccessor.portletServantLocator = portletServantLocator;
    }
}
