/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
 *  See license distributed with this file and
 *  available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.servant;

import javax.portlet.PortletRequest;

/**
 * The utility class that provides a portlet with the servant-side methods methods. 
 * 
 * @author Michael Ivanov, mivanov at unicon.net
 * @version $Revision: 11911 $
 *
 */
public final class ServantUtil {
    static final String IN_SERVANT_MODE = "org.jasig.portal.portlet.servant.IN_SERVANT_MODE";
    static final String SERVANT_DONE    = "org.jasig.portal.portlet.servant.SERVANT_DONE";
    static final String SERVANT_CANCLED = "org.jasig.portal.portlet.servant.SERVANT_CANCLED";
    static final String RETURN_VALUE    = "org.jasig.portal.portlet.servant.RETURN_VALUE";
    
    public static boolean isInServantMode(PortletRequest request) {
        final Boolean inServantMode = (Boolean)request.getAttribute(IN_SERVANT_MODE);
        return inServantMode != null && inServantMode;
    }

    public static void setServantCanceled(PortletRequest request) {
        request.setAttribute(SERVANT_CANCLED, Boolean.TRUE);
    }

    public static void setServantDone(PortletRequest request) {
        setServantDone(request, null);
    }

    public static void setServantDone(PortletRequest request, Object returnValue) {
        request.setAttribute(SERVANT_DONE, Boolean.TRUE);
        if (returnValue != null) {
            request.setAttribute(RETURN_VALUE, returnValue);
        }
    }

    private ServantUtil() {
    }
}
