/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.transfer;

import java.io.Serializable;

import org.jasig.portal.portlet.definition.PortletApplicationDefinitionId;
import org.jasig.portal.portlet.entity.PortletApplicationEntityId;
import org.jasig.portal.security.UserId;

/**
 * Representation of portlet application
 * entity required for persistence.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletApplicationEntityTransfer extends Serializable {

    /**
     * Returns the identifier of this object.
     * @return the object identifier
     */
    public PortletApplicationEntityId getPortletApplicationEntityId();

    /**
     * Sets the identifier of this object.
     * @param id the object identifier
     */
    public void setPortletApplicationEntityId(PortletApplicationEntityId id);

    /**
     * Returns the ID of the portlet application definition
     * that this portlet application entity is based on.
     * @return the portlet application definition ID
     */
    public PortletApplicationDefinitionId getPortletApplicationDefinitionId();
    
    /**
     * Sets the ID of the portlet application definition
     * that this portlet application entity is based on.
     * @param portletApplicationDefinitionId the portlet application definition ID
     */
    public void setPortletApplicationDefinitionId(PortletApplicationDefinitionId portletApplicationDefinitionId);

    /**
     * @param userId The UserId associated with this object.
     */
    public void setUserId(UserId userId);

    /**
     * @return The UserId associated with this object.
     */
    public UserId getUserId();
}
