/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.transfer;

import java.io.Serializable;

import org.jasig.portal.portlet.deployment.PortletApplicationDeploymentId;
import org.jasig.portal.portlet.deployment.PortletDeploymentId;
import org.jasig.portal.portlet.deployment.IPortletDeploymentInformationProvider;

/**
 * Representation of portlet deployment required for persistence.
 * @author Ken Weiner, kweiner@unicon.net
 * @version $Revision: 11955 $
 */
public interface IPortletDeploymentTransfer extends IPortletDeploymentInformationProvider, Serializable {

    /**
     * Returns the identifier of this object.
     * @return the object identifier
     */
    public PortletDeploymentId getPortletDeploymentId();

    /**
     * Returns the ID of the PortletApplication deployment in which this portlet resides.
     * The return value cannot be NULL.
     * @return the portlet application deployment ID of this portlet
     */
    public PortletApplicationDeploymentId getPortletApplicationDeploymentId();
    
}
