/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlet.url;

import javax.servlet.http.HttpServletRequest;

import org.jasig.portal.portlet.window.IPortletWindow;

/**
 * A factory for creating  portlet URL instances.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public interface IPortletUrlFactory {
    /**
     * Create a new IPortletUrl
     * @param portletWindow portlet window
     * @param servletRequest current request
     * @param isAction is this an action URL?
     * @return  IPortletUrl instance
     */
    IPortletUrl createPortletUrl(IPortletWindow portletWindow,HttpServletRequest servletRequest,boolean isAction);

}
