/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlet.userattributes;

import java.util.Map;

import org.jasig.portal.portlet.definition.PortletApplicationDefinitionId;
import org.jasig.portal.portlet.entity.PortletApplicationEntityId;
import org.jasig.portal.security.IUser;
import org.springframework.beans.factory.annotation.Required;

/**
 * Simple, re-usable wrapper class.
 * 
 * @author Eric Dalquist <a href="mailto:eric.dalquist@doit.wisc.edu">eric.dalquist@doit.wisc.edu</a>
 * @version $Revision$
 */
public class MappedUserAttributeProviderWrapper implements IMappedUserAttributeProvider {
    private IMappedUserAttributeProvider mappedUserAttributeProvider;
    
    public IMappedUserAttributeProvider getMappedUserAttributeProvider() {
        return this.mappedUserAttributeProvider;
    }

    @Required
    public void setMappedUserAttributeProvider(IMappedUserAttributeProvider mappedUserAttributeProvider) {
        this.mappedUserAttributeProvider = mappedUserAttributeProvider;
    }

    /**
     * @see org.jasig.portal.portlet.userattributes.IMappedUserAttributeProvider#getMappedUserAttributes(org.jasig.portal.security.IUser, org.jasig.portal.portlet.entity.PortletApplicationEntityId)
     */
    public Map<String, String> getMappedUserAttributes(IUser user, PortletApplicationEntityId portAppEntId) {
        return this.mappedUserAttributeProvider.getMappedUserAttributes(user, portAppEntId);
    }

    /**
     * @see org.jasig.portal.portlet.userattributes.IMappedUserAttributeProvider#getMappedUserAttributes(org.jasig.portal.security.IUser, org.jasig.portal.portlet.definition.PortletApplicationDefinitionId)
     */
    public Map<String, String> getMappedUserAttributes(IUser user, PortletApplicationDefinitionId portAppDefId) {
        return this.mappedUserAttributeProvider.getMappedUserAttributes(user, portAppDefId);
    }
}
