/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlets.channeladapter;

import java.util.Enumeration;
import java.util.HashMap;

import javax.portlet.PortletRequest;

import org.jasig.portal.BrowserInfo;

/**
 * A channel adapter-specific extension of {@link org.jasig.portal.BrowserInfo}
 * that obtains information from portlet request. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class PortletBrowserInfo extends BrowserInfo {

    public PortletBrowserInfo(PortletRequest req) {
        headers = new HashMap();
        for (Enumeration e = req.getPropertyNames(); e.hasMoreElements();) {
            String hName = (String)e.nextElement();
            // Request header names are case insensitive, so BrowserInfo must be too!!
            headers.put(hName.toLowerCase(), req.getProperty(hName));
        }
        cookies=null;
    }
}
