/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlets.error.action;

import org.jasig.portal.portlets.error.bean.ErrorData;

/**
 * This action class is responsible for all the activities that
 * happen in the ErrorPortlet.  Currently this class is stubbed
 * out and has no behavior.
 *
 * @author Cris J Holdorph, holdorph@unicon.net
 * @version $Revision: 11911 $
 */
public class ErrorAction
{
	/**
	 * Called when the portlet session is initialized.
	 * This method is separate from the constructor to support
	 * calling it again if the situation dictates.
	 *
	 * @param data The standard data structure for all data
	 * associated with this portlet session.
	 *
	 * @return The same data structure with any data/state changes
	 */
	public ErrorData initialize(ErrorData data)
	{
		return data;
	}

	/**
	 * Called when the user requests the underlying Portlet
	 * to be restarted.
	 *
	 * @param data The standard data structure for all data
	 * associated with this portlet session.
	 *
	 * @return The same data structure with any data/state changes
	 */
	public ErrorData restartPortlet(ErrorData data)
	{
		return data;
	}

	/**
	 * Called when the user requests the underlying Portlet
	 * to be rebooted.
	 *
	 * @param data The standard data structure for all data
	 * associated with this portlet session.
	 *
	 * @return The same data structure with any data/state changes
	 */
	public ErrorData rebootPortlet(ErrorData data)
	{
		return data;
	}
}
