/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import java.util.LinkedList;
import java.util.List;

import org.springframework.webflow.core.collection.SharedAttributeMap;
import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;

public abstract class AbstractPrincipalsAction extends AuthorizingAction {
    
    private String typeKeySeparator;
    
    @Override
    protected abstract Event doExecute(RequestContext context) throws Exception;
    
    protected List<PrincipalBean> getCachedPrincipals(RequestContext context, String key) {
        final SharedAttributeMap map = context.getExternalContext().getSessionMap();
        //AttributeMap map = context.getFlowScope();
        List<PrincipalBean> l = (List<PrincipalBean>)map.get(key);
        if (l == null) {
            l = new LinkedList<PrincipalBean>();
            map.put(key, l);
        }
        
        return l;
    }

    public void setTypeKeySeparator(String typeKeySeparator) {
        this.typeKeySeparator = typeKeySeparator;
    }

    public String getTypeKeySeparator() {
        return typeKeySeparator;
    }

}
