/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import org.jasig.portal.servants.permissions.IPermissibleRegistry;
import org.springframework.webflow.action.AbstractAction;

public abstract class DefaultAction extends AbstractAction
implements PermissionsManagerConstants {

    private IPermissibleRegistry permissibleRegistry;
    
    /**
     * Sets the <code>IPermissibleRegistry</code> which is used to obtain 
     * registered permissibles that will be managed by the Permissions Manager 
     * Portlet.
     * 
     * @param permissibleRegistry
     */
    public void setPermissibleRegistry(IPermissibleRegistry permissibleRegistry) {
        this.permissibleRegistry = permissibleRegistry;
    }

    public IPermissibleRegistry getPermissibleRegistry() {
        return permissibleRegistry;
    }

}
