/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import java.io.Serializable;

public class GenericEntityBean implements Serializable {
    private static final long serialVersionUID = 1L;
    private String id;
    private String label;
    private String description;
    
    public GenericEntityBean() {
    }
    
    public GenericEntityBean(String id, String label, String description) {
        this.id = id;
        this.label = label;
        this.description = description;
    }
    
    @Override
    public boolean equals(Object obj) {
		boolean b = false;
        
        if (obj instanceof PrincipalBean) {
            PrincipalBean pb = (PrincipalBean)obj;
            b = this.id.equals(pb.getId());
        }
        return b;
    }

    @Override
    public int hashCode() {
        return id.hashCode();
    }

    public String toString() {
        return this.getClass().getSimpleName() + "[" +
            "id="+id+", "+
            "label="+label+", "+
            "description="+description+
            getDescendentFields() + "]";
    }
    
    protected String getDescendentFields() {
        return "";
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
    
    
}
