/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;
import org.springframework.webflow.executor.support.FlowExecutorArgumentExtractor;
import org.springframework.webflow.executor.support.RequestParameterFlowExecutorArgumentHandler;

public class InvokeGroupSelectionAction extends DefaultAction {

    @Override
    protected Event doExecute(RequestContext context) throws Exception {
		// fire a trigger to the groups selection interceptor
        // so it will put a servant in the session map
        context.getExternalContext().getSessionMap().put(
            PermissionsManagerConstants.invokeGroupsSelectionKey, Boolean.TRUE);
        
		// passing the flow execution key to the group selection interceptor
        FlowExecutorArgumentExtractor feae = new RequestParameterFlowExecutorArgumentHandler();
        context.getExternalContext().getSessionMap().put("flowExecutionKey", feae.extractFlowExecutionKey(context.getExternalContext()));
        return success();
    }

}
