/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.jasig.portal.groups.security.IPermissible;
import org.springframework.webflow.core.collection.MutableAttributeMap;
import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;

public class ListPermissibleOwnersAction extends DefaultAction {

    @Override
    protected Event doExecute(RequestContext context) throws Exception {
        
        final MutableAttributeMap requestScopeAttributes = context.getRequestScope();
        Map<String, IPermissible> permissibles = 
                getPermissibleRegistry().getAllPermissibles();        
        List<GenericEntityBean> owners = new ArrayList<GenericEntityBean>();
        
        for (IPermissible permissible : permissibles.values()) {
            GenericEntityBean ownerBean = new GenericEntityBean();
            ownerBean.setId(permissible.getOwnerToken());
            ownerBean.setLabel(permissible.getOwnerName());
            ownerBean.setDescription(permissible.getOwnerDescription());
            owners.add(ownerBean);
        }
        
        requestScopeAttributes.put(ownersKey, owners);
        
        return success();
    }

}
