/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import javax.portlet.PortletMode;

public interface PermissionsManagerConstants {
    public static final String defaultEvent = "noOwner";
    public static final String assignPermissionsEvent = "assignPermissions";
    public static final String noTargetEvent = "noTarget";
    public static final String updatePrincipalsEvent = "updatePrincipals";
    
    public static final String addPrincipalActionKey = "submitAddPrincipal";
    public static final String removePrincipalActionKey = "_eventId_removePrincipals";
    public static final String cancelPrincipalActionKey = "cancelAddPrincipal";
    
    public static final String emptyString = "";
    public static final String principalsKey = "principals";
    public static final String removedPrincipalsKey = "removedPrincipals";
    public static final String ownerBeanKey = "ownerBean";
    public static final String targetBeanKey = "targetBean";
    public static final String targetIdKey = "targetId";
    public static final String targetKey = "target";
    public static final String targetsKey = "targets";
    public static final String activitiesKey = "activities";
    public static final String ownerKey = "owner";
    public static final String ownersKey = "owners";
    public static final String ownerIdKey = "ownerId";
    public static final String availablePrincipalsKey = "availablePrincipals";
    public static final String principalKey = "principal";
    public static final String submittedPrincipalsKey = "submitedPrincipal";
    public static final String activityListKey = "activityTokenList";
    public static final String activityTokensKey = "activityTokens";
    public static final String savedPermissionSelectionsKey = "savedPermissionSelections";
    
    public static final String deferKey = "defer";
    
    public static final String servantIsCompleteKey = "servantIsComplete";
    public static final String servantIsCancelledKey = "servantIsCancelled";
    
    public static final String portletModeKey = "portletMode";
    public static final String invokeGroupsSelectionKey = "invokeGroupsSelection";
    public static final String groupSelectionServantKey = "groupSelectionServant";
    public static final String processedActionKey = "processedAction";
    public static final String groupSelectionResultsKey = "groupSelectionResults";
    public static final String groupSelectionCancelledKey = "groupSelectionCancelled";
    public static final String groupSelectionActiveKey = "groupSelectionActive";
    
    public static final String[] sessionKeys = {
        defaultEvent,
        assignPermissionsEvent,
        noTargetEvent,
        updatePrincipalsEvent,
        addPrincipalActionKey,
        removePrincipalActionKey,
        cancelPrincipalActionKey,
        emptyString,
        principalsKey,
        removedPrincipalsKey,
        ownerBeanKey,
        targetBeanKey,
        targetIdKey,
        targetKey,
        targetsKey,
        activitiesKey,
        ownerKey,
        ownersKey,
        ownerIdKey,
        availablePrincipalsKey,
        principalKey,
        submittedPrincipalsKey,
        activityListKey,
        activityTokensKey,
        savedPermissionSelectionsKey,
        deferKey,
        servantIsCompleteKey,
        portletModeKey,
        invokeGroupsSelectionKey,
        groupSelectionServantKey,
        processedActionKey,
        groupSelectionResultsKey,
        groupSelectionCancelledKey,
        groupSelectionActiveKey,
    };
    
}
