/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import java.util.Map;

public class PrincipalBean extends GenericEntityBean {
    
    private static final long serialVersionUID = 1L;
    private Class type;
    private boolean selected;
    private Map<String, PermissionBean> permissions;
    
    public PrincipalBean() {
    }
    
    public PrincipalBean(String id, String label, String description) {
        super(id, label, description);
    }

    protected String getDescendentFields() {
        return ", type="+type+", "+
            "selected="+selected+", " +
            "permissions="+permissions;
    }
    
    public boolean isSelected() {
        return selected;
    }
    public void setSelected(boolean selected) {
        this.selected = selected;
    }
    public Class getType() {
        return type;
    }
    public void setType(Class type) {
        this.type = type;
    }
    public void setType(String type) {
        try {
	        this.type = Class.forName(type);
        } catch (ClassNotFoundException cnfe) {
            throw new IllegalArgumentException("type class not found: " + type);
        }
    }
    public Map<String, PermissionBean> getPermissions() {
        return permissions;
    }
    public void setPermissions(Map<String, PermissionBean> permissions) {
        this.permissions = permissions;
    }
    public PermissionBean getPermission(String activity) {
        return permissions.get(activity);
    }
    
    @Override
    public boolean equals(Object obj) {
        boolean b = false;
        
        if (obj instanceof PrincipalBean) {
            PrincipalBean pb = (PrincipalBean)obj;
            b = super.equals(obj) && this.type.equals(pb.getType());
        }
        return b;
    }

}
