/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */
package org.jasig.portal.portlets.permissions;

import java.util.List;

import org.springframework.webflow.core.collection.ParameterMap;
import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;

public class RemovePrincipalsAction extends AbstractPrincipalsAction {
    
    @Override
    protected Event doExecute(RequestContext context) throws Exception {
        
        final ParameterMap parameterMap = context.getExternalContext().getRequestParameterMap();
        String[] principalKeys = parameterMap.getArray(principalKey);
        
        List<PrincipalBean> principals = getCachedPrincipals(context, principalsKey);
        List<PrincipalBean> removedPrincipals = getCachedPrincipals(context, removedPrincipalsKey);
        
        for (int i=0; principalKeys != null && i<principalKeys.length; i++) {
            String[] split = principalKeys[i].split(getTypeKeySeparator());
            String type = split[0];
            String key = split[1];
            
            PrincipalBean principalBean = new PrincipalBean();
            principalBean.setId(key);
            principalBean.setType(type);
            principals.remove(principalBean);
            removedPrincipals.add(principalBean);
        }
        
        return success();
    }
    
}
