package org.jasig.portal.portlets.subscription;

import java.util.HashMap;
import java.util.Map;

import javax.portlet.WindowState;

import org.jasig.gap.groups.IGroupMember;
import org.jasig.portal.servants.groups.ActionUrlType;
import org.jasig.portal.servants.groups.IEntityActionUrlParts;

public class PortletSubscriptionActionUrlParts implements
    IEntityActionUrlParts {
    
    public Map<String, String> getPortletParameters(IGroupMember gm) {
        if (gm.isEntity()) {
            Map<String, String> parameters = new HashMap<String, String>(3);
            parameters.put("ACTION", "SUBSCRIBE_PORT_DEF");
            parameters.put("CURRENT_PAGE", "VIEW_PORT_DEFS");
            parameters.put("PORT_DEF_ID", gm.getKey());
            return parameters;
        }
        return null;
    }

    public WindowState getWindowState(IGroupMember gm) {
        return WindowState.NORMAL;
    }

    public ActionUrlType getActionUrlType(IGroupMember gm) {
        return ActionUrlType.legacyLayout;
    }

}
