/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.portlets.utils;

import javax.portlet.PortletRequest;


/**
 * Defines a page that has a set of defined PageActions which may be
 * performed on it.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface IActionPage extends IPage {
    /**
     * Resolves the PageAction for the specified request. May return null
     * if the request did not include an action on this page.
     * 
     * @param request The PortletRequest to resolve the action from.
     * @return The PageAction that was requested, null if no action was requested.
     */
    public abstract PageAction getAction(PortletRequest request);
}
