/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.portlets.xslt;

import org.jasig.portal.portlets.BaseBeanPortlet;


/**
 *  A frontend for the GenericXslt portlet.
 *  The portlet takes xmlUri and xslUri parameters, performs transformation.
 *  Render request params are passed transparently into the stylesheet params.
 *  Action request params are recorded in the session and are passed as stylesheet
 *  params for every transformation. 
 *  Parameter values specified in render request have higher priority over those specified in action.
 *  Provides support for xalan extension elements.
 *  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class GenericXsltPortlet extends BaseBeanPortlet {
    
    public static final String BEAN_LOCATION = "portlets.genericXslt";
    
    protected String getBeanLocation() {
        return BEAN_LOCATION;
    }

}
