/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering;

import org.jasig.portal.caching.ICacheKeyList;
import org.jasig.portal.caching.ICacheable;

/**
 * An interface defining a special filter, one that caches content
 * within rendering pipelines.
 * The filter extends {@link ICacheable} to specify that all cache filters should
 * themselves act as normal cacheable objects.
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ICacheFilter extends ICacheable {

    /**
     * Sets cache key for the current rendering cycle
     * @param cacheKey cache key of the current session, with new validation objects
     */
    public void setCurrentCacheKey(ICacheKeyList cacheKey);

}
