/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jasig.portal.core.exception.PortalException;

/**
 * IPortalRenderer defines an interface for a {@link org.jasig.portal.context.IContext} renderer.
 * The renderer is responsible for compiling context presentation and sending it to the response object.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortalRenderer {
    /**
     * Render portal presentation
     * 
     * @param req - incoming HTTP request
     * @param res - outgoing HTTP respopnse
     * @throws PortalException
     */
    public void render(HttpServletRequest req, HttpServletResponse res) throws PortalException;
}


	