/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering;

import java.util.Iterator;

/**
 * IRenderingComponentManager description.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IRenderingComponentManager {
    /**
     * Returns root (first) element of the rendering tree
     * @return - root element of the rendering tree
     */
    public IPortalRenderer getRootElement();
    /**
     * Returns an interator over all rendering elements
     * @return - iterator over rendering elements
     */
    public Iterator getElementsIterator();
    
    /**
     * Returns optimal cache entry point
     * @return - optimal cache entry point or <code>null</code>
     */
    public ICacheEntryPoint determineOptimalCacheEntryPoint();

}
