/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering;

import org.jasig.portal.core.exception.PortalException;

/**
 * IRenderingPipelineEventListener defines interface should be implemented by SAX pipeline components that are interested in rendering events
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IRenderingPipelineEventListener {
	/**
	 * Receive an event from the rendering pipeline
	 * 
	 */
	void receiveSAXPipelineEvent(RenderingPipelineEvent ev) throws PortalException;
}
