/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jasig.portal.core.exception.PortalException;

/**
 * Renders a pre-defined string constat (defualts to "")
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public class MockRenderer implements IPortalRenderer {
    String content="";
    
    public void render(HttpServletRequest req, HttpServletResponse res) throws PortalException {
        try {
            res.getOutputStream().print(content);
            res.flushBuffer();
        } catch (IOException e) {
            throw new PortalException("unable to render static string content",e);
        }
    }
    /**
     * Specify render content
     * @param content
     */
    public void setContent(String content) {
        this.content = content;
    }

}
