/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.attributes;

/**
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public class AttributeDescriptionImpl implements IAttributeDescription {
    String name;
    String description;
    String defaultValue;
    AttributePersistenceScope persistenceScope;
    
    
    /**
     * @param defaultValue The defaultValue to set.
     */
    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }
    /**
     * @param description The description to set.
     */
    public void setDescription(String description) {
        this.description = description;
    }
    /**
     * @param name The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }
    /**
     * @param scope The scope to set.
     */
    public void setPersistenceScope(AttributePersistenceScope scope) {
        this.persistenceScope = scope;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.IParamDescription#getName()
     */
    public String getName() {
        return this.name;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.IParamDescription#getDescription()
     */
    public String getDescription() {
        return this.description;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.IParamDescription#getDefaultValue()
     */
    public String getDefaultValue() {
        return this.defaultValue;
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.IParamDescription#getPersistanceScope()
     */
    public AttributePersistenceScope getPersistenceScope() {
        return this.persistenceScope;
    }
    
    public String toString() {
        StringBuffer sb=new StringBuffer();
        if(defaultValue!=null) { sb.append(defaultValue); }
        if(description!=null) { sb.append(description); }
        if(name!=null) { sb.append(name); }
        if(persistenceScope!=null) { sb.append(persistenceScope); }
        return sb.toString();
    }
}
