/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes;

import org.jasig.portal.core.BaseStringObjectId;

/**
 *  An id by which element resolvers identify elements, so that
 *  rendering attributes can be associated with them.
 *  
 *  Since such ids would be typically compound (for instance include
 *  element name, element id and other attributes), this interface
 *  can be used to hide id assembly (that occurrs at the element resolvers)
 *  and disassembly (which may occur at the DAO level).
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11942 $
 */
public class ElementResolverKey extends BaseStringObjectId<ElementResolverKey> {

    /**
     * @see BaseStringObjectId#BaseStringObjectId(String)
     */
    public ElementResolverKey(String id) {
        super(id);
    }
    
}
