/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.attributes;

/**
 * An interface for describing a single rendering attribute
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public interface IAttributeDescription {
    /**
     * @return param name
     */
    String getName();
    /**
     * @return description of the param
     */
    String getDescription();
    /**
     * @return default value of the param
     */
    String getDefaultValue();
    /**
     * @return persistence scope for this param
     */
    AttributePersistenceScope getPersistenceScope();
}
