/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes;

import java.util.List;

/**
 * A rendering attribute provider that exposes internal structure
 * of nested providers. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IHierarchicalRenderingAttributeProvider extends IRenderingAttributeProvider {
    /**
     * Obtain a list of parent providers.
     * The provider priority is such that the values provided by the first provider can overwrite all
     * subsequent provider values.
     * @return a List of {@link IRenderingAttributeProvider} instances
     */
    List<IRenderingAttributeProvider> getParentProviders();
}
