/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes;

import java.util.Map;

/**
 * An extension of the {@link org.jasig.portal.rendering.attributes.ElementResolverKey}
 * that also carries element information (element name, attributes). This can be used to 
 * implement various logic within the values implementation. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class InformativeElementResolverKey extends ElementResolverKey {
    final static long serialVersionUID = 1L; 
    
    String elementName;
    Map attributes;
    
    /**
     * Construct element resolver key, with element information
     * 
     * @param key resolver key
     * @param elementName name of the resolved element
     * @param attributes attributes of the resolved element
     */
    public InformativeElementResolverKey(String key, String elementName, Map attributes) {
        super(key);
        this.elementName=elementName;
        this.attributes=attributes;
    }
}
