/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.dao;

import org.jasig.portal.rendering.attributes.IRenderingAttributeValues;

/**
 * Interface for persisting rendering attribute values.
 * 
 * Note: this is an end-user interface, that hides description
 * of the attribute scope (i.e. what user, provider name, etc.)
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IRenderingAttributesDao {
    /**
     * Persist rendering attributes and params.
     * 
     * @param values attributes and parameter values 
     */
    void setRenderingAttributes(IRenderingAttributeValues values);
    
    /**
     * Obtain a map of persisted rendering attribute values
     * 
     * @return values of attributes and parameters
     */
    IRenderingAttributeValues getRenderingAttributes();
}
