/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.dao;

import org.jasig.portal.rendering.attributes.IRenderingAttributeValues;
import org.jasig.portal.security.UserId;


/**
 * A DAO interface for persisting attribute values for a particular user, for a particular stylesheet. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public interface IUserRenderingAttributesDao {
    /**
     * Persist rendering attribute values
     * 
     * @param values attributes and parameter values 
     */
    void setRenderingAttributes(IRenderingAttributeValues values, UserId userId, String stylesheetName);
    
    /**
     * Obtain persisted rendering attribute values
     * 
     * @return values of attributes and parameters, <code>null</code> if no values are recorded for a given parameters
     */
    IRenderingAttributeValues getRenderingAttributes(UserId userId,String stylesheetName);
}
