/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.dao;

import org.jasig.portal.rendering.attributes.IRenderingAttributeValues;
import org.jasig.portal.security.UserId;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

/**
 * Default implementation of {@link org.jasig.portal.rendering.attributes.dao.IUserRenderingAttributesDao} 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class UserRenderingAttributesDaoImpl extends HibernateDaoSupport implements IUserRenderingAttributesDao {
    
    // spring weirdness per Jurgens' advice, resolves session management
    public IRenderingAttributeValues getRenderingAttributes(final UserId userId, final String stylesheetName) {
        UserRenderingAttributeValuesTransfer transfer = new UserRenderingAttributeValuesTransfer();
        transfer.setStylesheetName(stylesheetName);
        transfer.setUserId(userId);
        final HibernateTemplate hibernateTemplate = getHibernateTemplate();
        hibernateTemplate.get(transfer.getClass(), transfer);
        if (transfer == null) {
            return null;
        }
        else {
            return transfer.getValues();
        }
    }

    public void setRenderingAttributes(final IRenderingAttributeValues values, final UserId userId, final String stylesheetName) {
        UserRenderingAttributeValuesTransfer transfer = new UserRenderingAttributeValuesTransfer();
        transfer.setStylesheetName(stylesheetName);
        transfer.setUserId(userId);
        transfer.setValues(values);
        final HibernateTemplate hibernateTemplate = getHibernateTemplate();
        hibernateTemplate.saveOrUpdate(transfer);
    }

}
