/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.dao.hibernate.types;

import org.jasig.portal.core.hibernate.BaseStringObjectIdUserType;
import org.jasig.portal.rendering.attributes.ElementResolverKey;

/**
 * Hibernate type for {@link org.jasig.portal.rendering.attributes.ElementResolverKey} 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11942 $
 */
public class ElementResolverKeyUserType extends BaseStringObjectIdUserType<ElementResolverKey> {
    /**
     * @see org.jasig.portal.core.hibernate.BaseStringObjectIdUserType#createObjectId(java.lang.String)
     */
    @Override
    protected ElementResolverKey createObjectId(String strId) {
        return new ElementResolverKey(strId);
    }

    /**
     * @see org.jasig.portal.core.hibernate.BaseObjectIdUserType#returnedClass()
     */
    public Class returnedClass() {
        return ElementResolverKey.class;
    }
}
