/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.url;

import org.jasig.portal.rendering.attributes.IRenderingAttributeProvider;

/**
 * A utility bean for providing configuration of a single rendering attribute (parameter)
 * for the purposes of URL decoration.
 * (Used by {@link org.jasig.portal.rendering.attributes.url.SingleAttributeDecoratorAndProcessor}. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class AttributeDecoratorConfig {
    String name;
    String defaultValue=null;
    IRenderingAttributeProvider provider;
    
    public String getDefaultValue() {
        return defaultValue;
    }
    /**
     * Set default value of parameter to be used if provider returns <code>null</code>.
     * Note: default values would normally be configured in the attribute description that's used
     * to configure the provider itself.
     * @param defaultValue
     */
    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }
    public String getName() {
        return name;
    }
    /**
     * Specify the rendering parameter (attribute) name
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }
    public IRenderingAttributeProvider getProvider() {
        return provider;
    }
    /**
     * Specify rendering attribute provider to be used
     * @param provider
     */
    public void setProvider(IRenderingAttributeProvider provider) {
        this.provider = provider;
    }
}
