/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.url;

import javax.servlet.http.HttpServletRequest;

import org.jasig.portal.context.ServletPathContextResolver;

/**
 * An extension of {@link org.jasig.portal.rendering.attributes.url.AttributeDecoratorAndProcessor}
 * that determines parameter offset by consulting {@link org.jasig.portal.context.ServletPathContextResolver}
 * to check if the portal context element has been specified.
 * 
 * Note: this is a custom solution for the case when {@link org.jasig.portal.context.ServletPathContextResolver} is
 * used. If the parameter offset is constant, use {@link org.jasig.portal.rendering.attributes.url.AttributeDecoratorAndProcessor}
 * directly.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class ContextPathAwareAttributeDecoratorAndProcessor extends AttributeDecoratorAndProcessor {
    
    @Override
    protected int getPathElementOffset(HttpServletRequest req) {
        if(ServletPathContextResolver.getContextPathElement(req)!=null) {
            return 1;
        } else {
            return 0;
        }
    }

}
