/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.attributes.url;

import org.jasig.portal.rendering.attributes.IRenderingAttributeProvider;
import org.jasig.portal.rendering.sax.xslt.ITransformerPreferences;
import org.springframework.beans.factory.annotation.Required;

/**
 * An extension of {@link org.jasig.portal.rendering.attributes.url.AttributeDecoratorConfig}
 * that takes {@link org.jasig.portal.rendering.sax.xslt.ITransformerPreferences} instead of
 * the attribute provider reference.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class TransformerPreferencesAttributeDecoratorConfig extends AttributeDecoratorConfig {
    ITransformerPreferences transformerPreferences;
    
    
    @Override
    public IRenderingAttributeProvider getProvider() {
        return transformerPreferences.getRenderingAttributeProvider();
    }

    /**
     * Specify rendering attribute provider via transofrmer preferences
     * @param preferences
     */
    @Required
    public void setTransformerPreferences(ITransformerPreferences preferences) {
        this.transformerPreferences=preferences;
    }
}
