/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.hybrid;

/**
 * An interface defining a utility class that would connect two
 * neighbors an a rendering path. For example connect SAX producer
 * with SAX consumer, etc.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public interface IComponentConnector {
    /**
     * Connect two neighbors on a rendering path
     * @param source source component
     * @param target target component
     * @return <code>true</code> if connector succeeded in connecting two components
     */
    public boolean connectNeighbors(Object source, Object target);
}
