/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.hybrid;

import org.jasig.portal.rendering.string.IStringPipelineDownstreamComponent;
import org.jasig.portal.rendering.string.IStringPipelineUpstreamComponent;

/**
 * A connector for string rendering components
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public class StringComponentConnector implements IComponentConnector {

    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.hybrid.IComponentConnector#connectNeighbors(java.lang.Object, java.lang.Object)
     */
    public boolean connectNeighbors(Object source, Object target) {
        if(source instanceof IStringPipelineUpstreamComponent && target instanceof IStringPipelineDownstreamComponent) {
            ((IStringPipelineUpstreamComponent)source).setStringHandler((IStringPipelineDownstreamComponent)target);
            return true;
        } else {
            return false;
        }
    }

}
