/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax;

import java.io.Serializable;

import org.jasig.portal.rendering.ICacheFilter;
import org.xml.sax.SAXException;

/**
 * An filter component interface for SAX pipelines.
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ISaxCacheFilter extends ICacheFilter, ISaxFilter {
    
    
    /**
     * Obtain validity objects for SAX cache entry corresponding to the current key
     * @return cache entry for the newly specified key, containing keys with the validation object
     * retrieved from cache, and cache the cache entry itself or <code>null</code>
     * if no cache entry is found for a given key
     */
    public Serializable[] getSaxCacheValidityObjects();
    
    /**
     * Replays SAX cache for the current cache key.
     * @return <code>true</code> if cache was replayed, <code>false</code> if cache was not available.
     */
    public boolean replaySaxCache() throws SAXException;
}
