/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax;

/**
 * An interface that all SAX pipeline components must implement.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ISaxPipelineComponent {
    /**
     * Checks if a given filter is set up to render SAX content. 
     * This normally involves checking that downstream content handler is not null,
     * and that it can render SAX as well.
     * @return <code>true</code> if downstream pipeline is configured to perform SAX rendering
     */
    boolean canRenderSax();
}
