/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax;

import java.io.Serializable;
import java.util.List;

import org.jasig.portal.rendering.AbstractCacheEntryPoint;
import org.jasig.portal.rendering.PipelineCacheManagerImpl;

/**
 * A cache manager implementation specific for the Sax rendering pipeline.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class SaxPipelineCacheManager extends PipelineCacheManagerImpl {

    public AbstractCacheEntryPoint[] checkAndCreateCacheEntryPoints(List pipelineElements, int pipelinePosition) {
        Object element=pipelineElements.get(pipelinePosition);

        if(element instanceof ISaxCacheFilter) {
            ISaxCacheFilter filter=(ISaxCacheFilter)element;
            if(filter.canRenderSax()) {
                Serializable[] cachedValidityObjects=filter.getSaxCacheValidityObjects();
                if(cachedValidityObjects!=null) { // cache entry exists for the current key
                    AbstractCacheEntryPoint[] entryPoints={new SaxCacheEntryPoint(filter,pipelinePosition,cachedValidityObjects)};
                    return entryPoints;
                }
            }
        }
        return null;
    }

}
