/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;


public abstract class AbstractCharactersEvent extends AbstractSaxEvent {
    private final char[] characters;
    private final int start;
    private final int length;
    
    public AbstractCharactersEvent(SaxEventType eventType, char[] characters, int start, int length) {
        super(eventType);
        this.start = 0;
        this.length = length;
        this.characters = new char[this.length];
        System.arraycopy(characters, start, this.characters, this.start, this.length);
    }

    public char[] getCharacters() {
        return this.characters;
    }

    public int getLength() {
        return this.length;
    }

    public int getStart() {
        return this.start;
    }
}