/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;


public abstract class AbstractElementEvent extends AbstractSaxEvent {
    private final String uri;
    private final String localName;
    private final String qName;
    
    public AbstractElementEvent(SaxEventType eventType, String uri, String localName, String qName) {
        super(eventType);
        this.uri = uri;
        this.localName = localName;
        this.qName = qName;
    }

    public String getLocalName() {
        return this.localName;
    }

    public String getQName() {
        return this.qName;
    }

    public String getUri() {
        return this.uri;
    }
}