/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events;

import java.io.Serializable;

public abstract class AbstractSaxEvent implements Serializable {
    public enum SaxEventType {
        START_DOCUMENT,
        END_DOCUMENT,
        START_ELEMENT,
        END_ELEMENT,
        CHARACTERS,
        IGNORABLE_WHITESPACE,
        PROCESSING_INSTRUCTION,
        NOTATION_DECL,
        UNPARSED_ENTITY_DECL,
        START_PREFIX_MAPPING,
        END_PREFIX_MAPPING,
        SKIPPED_ENTITY,
        WARNING,
        ERROR,
        FATAL_ERROR,
        COMMENT,
        START_CDATA,
        END_CDATA,
        START_DTD,
        END_DTD,
        START_ENTITY,
        END_ENTITY;
    }
    
    private final SaxEventType eventType;
    
    public AbstractSaxEvent(SaxEventType eventType) {
        this.eventType = eventType;
    }

    public SaxEventType getEventType() {
        return this.eventType;
    }
}