/* Copyright 2006 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.events.content;

import org.jasig.portal.rendering.sax.events.AbstractElementEvent;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.AttributesImpl;

public class StartElementEvent extends AbstractElementEvent {
    private final Attributes attributes;
    
    public StartElementEvent(String uri, String localName, String qName, Attributes attributes) {
        super(SaxEventType.START_ELEMENT, uri, localName, qName);
        this.attributes = new AttributesImpl(attributes);
    }

    public Attributes getAttributes() {
        return this.attributes;
    }
}