/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.sax.xslt;

import javax.xml.transform.Transformer;

import org.jasig.portal.caching.ICacheable;
import org.jasig.portal.rendering.sax.ISaxFilter;

/**
 * A component responsible for injecting rendering attribute values into
 * the SAX rendering pipeline during XSL transformation. It is also used
 * to deliver {@link org.jasig.portal.rendering.sax.xslt.ITransformerPreferences}
 * to the transformation filter.
 * 
 *  Note: injectors that working outside of the XSLT context are described
 *  by regular {@link org.jasig.portal.rendering.sax.ISaxFilter}s.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IRenderingAttributeInjector extends ISaxFilter, ICacheable {
    /**
     * Prepare XSL transformer.
     * Note: this step can be used to do things like set XSLT params, etc.
     * @param transformer
     */
    void prepareTransformer(Transformer transformer);

}
