/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.xslt;

import java.net.URI;

import org.jasig.portal.caching.ICacheable;

/**
 * An interface defining description of an XSLT stylesheet
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public interface IStylesheetDescription extends ICacheable {
    
    /**
     * Get stylesheet location URI
     * 
     * @return Returns the stylesheetLocation.
     */
    URI getStylesheetLocationUri();
    
    /**
     * Obtain a mime type
     * @return mime type of the stylesheet markup. <code>null</code> value should be returned when the stylesheet is not a determinant of the overal mime type.
     */
    String getMimeType();
    
}
