/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.sax.xslt;

import org.jasig.portal.caching.ICacheable;
import org.jasig.portal.rendering.attributes.IRenderingAttributeProvider;

/**
 * An interface for describing XSLT transformer preferences
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public interface ITransformerPreferences extends ICacheable {
    /**
     * @return a description of the XSL stylesheet
     */
    IStylesheetDescription getStylesheetDescription();
    
    IRenderingAttributeProvider getRenderingAttributeProvider();
    
}
