/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.sax.xslt.legacy;

import org.jasig.portal.rendering.attributes.IRenderingAttributesDescription;
import org.jasig.portal.rendering.sax.xslt.IStylesheetDescription;

/**
 * An extension interface for legacy stylesheet description 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ILegacyStylesheetDescription extends IStylesheetDescription {

    /**
     * Get param descriptions
     * @return description that includes stylesheet params
     */
    public IRenderingAttributesDescription getParamsDescription();

    /**
     * Get channel attribute descriptions
     * @return description that includes channel attributes
     */
    public IRenderingAttributesDescription getChannelAttributesDescription();

    /**
     * Get folder attribute descriptions
     * @return description that includes folder attributes
     */
    public IRenderingAttributesDescription getFolderAttributesDescription();
    
    /**
     * Get stylesheet description
     * @return Returns the description.
     */
    public String getDescription();

    /**
     * Get device type
     * @return Returns the deviceType.
     */
    public String getDeviceType();

    /**
     * Get stylesheet name
     * @return Returns the name.
     */
    public String getName();

    /**
     * Get name of the parent structure stylesheet
     * @return Returns the parentStructureStylesheet.
     */
    public String getParentStructureStylesheet();

    /**
     * Get sample icon URI
     * @return Returns the sampleIconUri.
     */
    public String getSampleIconUri();

    /**
     * Get sample picture URI
     * @return Returns the samplePictureUri.
     */
    public String getSamplePictureUri();

    /**
     * Get serializer name
     * @return Returns the serializer.
     */
    public String getSerializer();

    /**
     * Get UP preferences module classname
     * @return Returns the userPreferencesModuleClass.
     */
    public String getUserPreferencesModuleClass();



}