/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.sax.xslt.legacy;

import java.util.Set;

import org.jasig.portal.rendering.attributes.IRenderingAttributesDescription;
import org.jasig.portal.rendering.attributes.RenderingAttributesDescriptionImpl;
import org.jasig.portal.rendering.sax.xslt.StylesheetDescriptionImpl;

/**
 * LegacyStylesheetDescription description
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class LegacyStylesheetDescription extends StylesheetDescriptionImpl implements ILegacyStylesheetDescription {
    RenderingAttributesDescriptionImpl paramsDescription=new RenderingAttributesDescriptionImpl();
    RenderingAttributesDescriptionImpl channelAttributesDescription=new RenderingAttributesDescriptionImpl();
    RenderingAttributesDescriptionImpl folderAttributesDescription=new RenderingAttributesDescriptionImpl();
    String name;
    String description;
    String parentStructureStylesheet;
    String serializer;
    String deviceType;
    String samplePictureUri;
    String sampleIconUri;
    String userPreferencesModuleClass;
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getDescription()
     */
    public String getDescription() {
        return description;
    }
    
    /**
     * @param description The description to set.
     */
    public void setDescription(String description) {
        this.description = description;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getDeviceType()
     */
    public String getDeviceType() {
        return deviceType;
    }
    
    /**
     * @param deviceType The deviceType to set.
     */
    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getName()
     */
    public String getName() {
        return name;
    }
    
    /**
     * @param name The name to set.
     */
    public void setName(String name) {
        this.name = name;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getParentStructureStylesheet()
     */
    public String getParentStructureStylesheet() {
        return parentStructureStylesheet;
    }
    
    /**
     * @param parentStructureStylesheet The parentStructureStylesheet to set.
     */
    public void setParentStructureStylesheet(String parentStructureStylesheet) {
        this.parentStructureStylesheet = parentStructureStylesheet;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getSampleIconUri()
     */
    public String getSampleIconUri() {
        return sampleIconUri;
    }
    
    /**
     * @param sampleIconUri The sampleIconUri to set.
     */
    public void setSampleIconUri(String sampleIconUri) {
        this.sampleIconUri = sampleIconUri;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getSamplePictureUri()
     */
    public String getSamplePictureUri() {
        return samplePictureUri;
    }
    
    /**
     * @param samplePictureUri The samplePictureUri to set.
     */
    public void setSamplePictureUri(String samplePictureUri) {
        this.samplePictureUri = samplePictureUri;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getSerializer()
     */
    public String getSerializer() {
        return serializer;
    }
    
    /**
     * @param serializer The serializer to set.
     */
    public void setSerializer(String serializer) {
        this.serializer = serializer;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription#getUserPreferencesModuleClass()
     */
    public String getUserPreferencesModuleClass() {
        return userPreferencesModuleClass;
    }
    
    /**
     * @param userPreferencesModuleClass The userPreferencesModuleClass to set.
     */
    public void setUserPreferencesModuleClass(String userPreferencesModuleClass) {
        this.userPreferencesModuleClass = userPreferencesModuleClass;
    }


    public void setParamDescriptions(Set paramDescriptions) {
        this.paramsDescription.setParameterDescriptions(paramDescriptions);
    }

    public void setChannelAttributeDescriptions(Set channelAttributeDescriptions) {
        this.channelAttributesDescription.setAttributeDescriptions(channelAttributeDescriptions);
    }

    public void setFolderAttributeDescriptions(Set folderAttributeDescriptions) {
        this.folderAttributesDescription.setAttributeDescriptions(folderAttributeDescriptions);
    }

    public IRenderingAttributesDescription getChannelAttributesDescription() {
        return this.channelAttributesDescription;
    }

    public IRenderingAttributesDescription getFolderAttributesDescription() {
        return this.folderAttributesDescription;
    }

    public IRenderingAttributesDescription getParamsDescription() {
        return this.paramsDescription;
    }
}
