/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.rendering.sax.xslt.legacy.persistance;

import org.jasig.portal.rendering.sax.xslt.legacy.ILegacyStylesheetDescription;

/**
 * A DAO for obtaining legacy stylesheet descriptions  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface ILegacyStylesheetDescriptionDao {

    /**
     * Obtain legacy stylesheet description given stylesheet id
     * @param stylesheetDescriptionLocation URI of the stylesheet description file
     * @param stylesheetLocation location of the XSLT stylesheet
     * @return legacy stylesheet description corresponding to the specified locations, or <code>null</code> if the description could not be found.
     */
    public ILegacyStylesheetDescription getLegacyStylesheetDescription(String stylesheetDescriptionLocation, String stylesheetLocation);

}