/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.rendering.string;

import org.jasig.portal.portlet.rendering.IPortletWindowManager;

/**
 * Serves as a base class for {@link org.jasig.portal.rendering.string.PortletRenderingInitiationFilter} and
 * {@link org.jasig.portal.rendering.string.PortletContentIncorporationFilter}.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public abstract class BasePortletFilter extends RegexStringFilter {

    IPortletWindowManager portletWindowManager;
    
    /**
     * @return Returns the portletWindowManager.
     */
    protected IPortletWindowManager getPortletWindowManager() {
        return portletWindowManager;
    }
    /**
     * @param portletWindowManager The portletWindowManager to set.
     */
    public void setPortletWindowManager(IPortletWindowManager portletWindowManager) {
        this.portletWindowManager = portletWindowManager;
    }
}
