/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.string;

import java.io.Serializable;

import org.jasig.portal.rendering.ICacheFilter;

/**
 * A concrete cache filter interface for string rendering pipelines
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IStringCacheFilter extends ICacheFilter, IStringFilter {
    
    /**
     * Obtain validity objects for <code>String</code> cache entry corresponding to the current key
     * @return cache entry for the newly specified key, containing keys with the validation object
     * retrieved from cache, and cache the cache entry itself or <code>null</code>
     * if no cache entry is found for a given key
     */
    public Serializable[] getStringCacheValidityObjects();
    
    /**
     * Replays cache for the current key
     * @return <code>true</code> if cache content output was successfull
     */
    public boolean replayStringCache();
}
