/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.rendering.string;

/**
 * An interface implemented by all string rendering components.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IStringRenderingComponent {
    
    /**
     * Checks if a given filter is set up to render string content. 
     * This normally involves checking that downstream string handler is not null,
     * and that it can render string as well.
     * @return <code>true</code> if downstream pipeline is configured to perform string rendering
     */
    boolean canRenderString();
}
