/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.security;

import java.io.Serializable;
import java.security.Principal;

/**
 * The user interface.
 * @author Michael Ivanov, mvi@immagic.com
 * @version $Revision: 11955 $
 */
public interface IUser extends Serializable {
    
  /**
   * Sets the ID of the user.
   * @param userId
   */
  public void setId(UserId userId);

  /**
   * Gets the ID of the user.
   * @return ID of the user
   */
  public UserId getId();

  /**
   * Sets the user name.
   * @param userName
   */
  public void setUserName(String userName);

  /**
   * Gets the user name.
   * @return user name for this user
   */
  public String getUserName();
  
  
  /**
   * Return standard java principal
   * @return The Principal object for the user.
   */
  public Principal getPrincipal();

}



