/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security;

import org.acegisecurity.AccessDeniedException;
import org.jasig.portal.core.exception.PortalRuntimeException;
import org.jasig.portal.problem.IProblemsManager;

/**
 * A portal extension of the Acegi access exception
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11918 $
 */
public class PortalAccessDeniedException extends AccessDeniedException {

    public PortalAccessDeniedException(String msg, Throwable t) {
        super(msg, t);
        this.report();
    }

    public PortalAccessDeniedException(String msg) {
        super(msg);
        this.report();
    }
    
    private void report() {
        final IProblemsManager problemsManager = PortalRuntimeException.getProblemsManager();
        if (problemsManager != null) {
            problemsManager.reportThrowable(this);
        }
    }

}
