/*
 * Copyright 2004 The JA-SIG Collaborative. All rights reserved. See license distributed with this
 * file and available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security;


/**
 * An exception thrown when portal is unable to find user id for an authenticated principal.
 * 
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11918 $
 */
public class PortalUserNotFoundException extends PortalAccessDeniedException {
    private final String principal;

    public PortalUserNotFoundException(String principal) {
        this(principal, null);
    }

    public PortalUserNotFoundException(String principal, Throwable cause) {
        super("Unable to find portal user id for an authenticated principal '" + principal + "'", cause);
        this.principal = principal;
    }

    public String getPrincipal() {
        return this.principal;
    }
}
