/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.security;


import javax.servlet.http.HttpSession;

/**
 * UserAccessorImpl is a default implementation of {@link org.jasig.portal.security.IUserAccessor}
 *
 * @author Michael Ivanov: mivanov at unicon.net
 * @version $Revision: 11911 $
 */
public class UserAccessorImpl implements IUserAccessor {
   
    /**
     * Name of the http session attribute under which the user ID will be located.
     */
    private final static String SESSION_ATTRIBUTE_NAME = UserAccessorImpl.class.getName();


    public void setUser(IUser user, HttpSession session) {
        session.setAttribute(SESSION_ATTRIBUTE_NAME,user);
    }

    public IUser getUser(HttpSession session) {
        return (IUser) session.getAttribute(SESSION_ATTRIBUTE_NAME);
    }
}
