/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 *  See license distributed with this file and
 *  available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security;

import org.jasig.gap.services.entitytypes.IBasicEntity;
import org.jasig.gap.services.entitytypes.IEntityIdentifier;
import org.jasig.gap.services.entitytypes.impl.EntityIdentifier;
import org.jasig.portal.core.BaseStringObjectId;

/**
 * The user ID implementation.
 * 
 * @version $Revision: 11942 $
 */
public class UserId extends BaseStringObjectId<UserId> implements IBasicEntity {
    private IEntityIdentifier entityIdentifier = null;

    /**
     * @see BaseStringObjectId#BaseStringObjectId(String)
     */
    public UserId(String id) {
        super(id);
    }

    /**
     * @see org.jasig.gap.services.entitytypes.IBasicEntity#getEntityIdentifier()
     */
    public synchronized IEntityIdentifier getEntityIdentifier() {
        if (this.entityIdentifier == null) {
            this.entityIdentifier = new EntityIdentifier(this.toString(), this.getClass()); 
        }
        
        return this.entityIdentifier;
    }
}
