/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security.acegi;

import org.acegisecurity.Authentication;
import org.jasig.gap.permissions.IAuthorizationPrincipal;
import org.jasig.gap.permissions.IAuthorizationService;

/**
 * Provides access to the authorization principal given an {@link org.acegisecurity.Authentication} instance. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IAuthorizationPrincipalAccessor {
    /**
     * Obtain authentorization principal corresponding to given authentication
     * @param auth
     * @param authorizationService
     * @return authorization principal
     */
    public IAuthorizationPrincipal getAuthorizationPrincipal(Authentication auth, IAuthorizationService authorizationService);

}
