/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security.acegi;

import org.jasig.portal.core.exception.PortalException;

/**
 * An exception thrown by {@link org.jasig.portal.security.acegi.IPermissionTargetResolver}
 * implementations when the target can not be resolved. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11918 $
 */
public class TargetResolutionException extends PortalException {
    public TargetResolutionException(String message, Throwable cause) {
        super(message, cause);
    }

    public TargetResolutionException(String message) {
        super(message);
    }

    public TargetResolutionException(Throwable cause) {
        super(cause);
    }
}
