/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security.acegi;

import org.acegisecurity.context.SecurityContext;
import org.acegisecurity.context.SecurityContextHolder;
import org.jasig.portal.utils.TrackingThreadLocal;

/**
 * Users {@link org.jasig.portal.utils.TrackingThreadLocal} implementation
 * to keep the context.
 * 
 * Note: the inheritance from SecurityContextHolder is just for the show - it can't
 * be extended because contextHolder variable in it is private
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class TrackingContextHolder extends SecurityContextHolder {
    protected static ThreadLocal<SecurityContext> contextHolder = new TrackingThreadLocal<SecurityContext>();
    
    public static void setContext(SecurityContext context) {
        contextHolder.set(context);
    }

    public static  SecurityContext getContext() {
        return contextHolder.get();
    }
}
