/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security.acegi;

import org.acegisecurity.Authentication;
import org.jasig.gap.permissions.IAuthorizationPrincipal;
import org.jasig.gap.permissions.IAuthorizationService;
import org.jasig.portal.context.common.user.IUserController;
import org.jasig.portal.security.UserId;
import org.springframework.beans.factory.annotation.Required;

/**
 * Returns authorization principal that is based on user id (as opposed to username) 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class UserIdAuthorizationPrincipalAccessor implements IAuthorizationPrincipalAccessor {
    IUserController userController;
    
    public IAuthorizationPrincipal getAuthorizationPrincipal(Authentication auth, IAuthorizationService authorizationService) {
        return authorizationService.newPrincipal(userController.getUserId().toString(),UserId.class);
    }
    
    /**
     * User controller
     * @param userController
     */
    @Required
    public void setUserController(IUserController userController) {
        this.userController = userController;
    }
}
