/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.security.acegi;

import org.acegisecurity.Authentication;
import org.jasig.gap.permissions.IAuthorizationPrincipal;
import org.jasig.gap.permissions.IAuthorizationService;
import org.jasig.portal.security.UserId;

/**
 * Returns authorization principal based on user name 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11955 $
 */
public class UserNameAuthorizationPrincipalAccessor implements IAuthorizationPrincipalAccessor {
    public IAuthorizationPrincipal getAuthorizationPrincipal(Authentication auth, IAuthorizationService authorizationService) {
        return authorizationService.newPrincipal(auth.getName(),UserId.class);
    }
}
