/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.security.dao;

import org.jasig.portal.security.IUser;
import org.jasig.portal.security.UserId;


/**
 * The user DAO interface.
 * @author Michael Ivanov, mivanov@unicon.net
 * @version $Revision: 11955 $
 */
public interface IUserDao {
    
  /**
   * Persists the user.
   * @param user
   */
  public void setUser(IUser user);

  /**
   * Gets the user object.
   * @param userId ID
   * @return IUser intance
   */
  public IUser getUser(UserId userId);
  
  /**
   * Gets the user object.
   * @param userLogin login
   * @return IUser intance
   */
  public IUser getUser(String userLogin);

}