/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.servants.groups;

import org.jasig.gap.groups.IEntityGroup;
import org.jasig.gap.permissions.IPermission;
import org.jasig.portal.security.UserId;
import org.jasig.portal.servants.groups.commands.GroupsManagerCommand;


/**
 * An interface that holds global variables uses to externalize settings from
 * the classes that use them.
 * @author Don Fracapane
 * @version $Revision: 11955 $
 */
public interface GroupsManagerConstants {
    
   // some of these constants might be in the properties files
   static final String BASE_PACKAGE = GroupsManagerBean.class.getPackage().getName();
   static final String COMMANDS_PACKAGE = GroupsManagerCommand.class.getPackage().getName();
   static final String WRAPPERS_PACKAGE = BASE_PACKAGE;
   static final String GROUPS_PACKAGE = IEntityGroup.class.getPackage().getName();
   static final String SECURITY_PACKAGE = IPermission.class.getPackage().getName();
   static final String GROUP_CLASSNAME = IEntityGroup.class.getName();
   static final String ENTITY_CLASSNAME = UserId.class.getName();
   static final String OWNER = GroupsManagerBean.class.getName();
   static final String ENTITY_TAGNAME = "entity";
   static final String GROUP_TAGNAME = "group";
   static final String PROPERTIES_TAGNAME = "properties";

   // ROOT_GROUP_TITLE is the name of the root element holding the initial group
   // contexts in the groups management channel
   static final String ROOT_GROUP_TITLE = "Root Groups";
   static final String ROOT_GROUP_DESCRIPTION = "Set of Entity Types that have a root group.";

   static final String VIEW_PERMISSION = "VIEW";
   static final String CREATE_PERMISSION = "CREATE";
   static final String UPDATE_PERMISSION = "UPDATE";
   static final String DELETE_PERMISSION = "DELETE";
   static final String SELECT_PERMISSION = "SELECT";
   static final String ADD_REMOVE_PERMISSION="ADD/REMOVE";
   static final String ASSIGN_PERMISSION = "ASSIGNPERMISSIONS";
   
   static final String GROUP_COMMAND = "grpCommand";
   static final String GROUP_COMMAND_ARG = "grpCommandArg";
   
   public static final String SERVANT_COMMAND = "grpServantCommand";
}
