/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.servants.groups;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;

/**
 * A class designed to decouple a request for the creation of xml for an object
 * from the class requestor class.
 * @author Don Fracapane
 * @version $Revision: 11911 $
 */
public class GroupsManagerWrapperFactory implements GroupsManagerConstants {
    
   protected final Map BINDINGS = new HashMap(2);
   
   public GroupsManagerWrapperFactory(GroupsManagerXml groupsManagerXml) {
      try {
          GroupWrapper groupWrapper = new GroupWrapper();
          EntityWrapper entityWrapper = new EntityWrapper();
          groupWrapper.setGroupsManagerXml(groupsManagerXml);
          entityWrapper.setGroupsManagerXml(groupsManagerXml);
          BINDINGS.put(ENTITY_TAGNAME, entityWrapper );
          BINDINGS.put(GROUP_TAGNAME, groupWrapper);
       } catch (Exception e) {
          Utility.logMessage("ERROR", "GroupsManagerWrapperFactory: " + e, e);
       }
   }
   
    /**
    * Returns the instance of a wrapper object bound to a name.
    * @param name
    * @return IGroupsManagerWrapper
    */
   public IGroupsManagerWrapper get (String name) {
      return  (IGroupsManagerWrapper) BINDINGS.get(name);
   }

   /**
    * Returns the names of the bound wrapper objects. Used for debugging.
    * @return String[]
    */
   public String[] getKeys () {
      Set keyset = BINDINGS.keySet();
      return  (String[])keyset.toArray(new String[0]);
   }
}



