/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
 *  See license distributed with this file and
 *  available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.servants.groups;

import java.util.Map;

import javax.portlet.WindowState;

import org.jasig.gap.groups.IGroupMember;

/**
 * Defines the interface for retrieve the required parts of an action url
 * for a given group member. These parts are then used to build an action url
 * specific to the given group member.
 */

public interface IEntityActionUrlParts {
    
    /**
     * Returns portlet parameters used to build a portlet action url.
     * @param gm the group member
     * @return Map
     */
    public Map<String, String> getPortletParameters(IGroupMember gm);

    /**
     * Returns the desired window state
     * @param gm the group member
     * @return String
     */
    public WindowState getWindowState(IGroupMember gm);

    /**
     * Returns the type of url required.
     * @return ActionUrlType
     */
    public ActionUrlType getActionUrlType(IGroupMember gm);
}
