/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.servants.groups.commands;

import java.util.Iterator;

import javax.portlet.PortletRequest;

import org.jasig.gap.groups.ICompositeGroupService;
import org.jasig.gap.permissions.IAuthorizationService;
import org.jasig.portal.servants.groups.GroupsSessionData;
import org.jasig.portal.servants.groups.GroupsManagerXml;
import org.jasig.portal.servants.groups.Utility;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * SelectMembers sets the "selected" attribute for each elements that was
 * selected by the user.
 * @author Don Fracapane
 * @version $Revision: 11911 $
 */
public abstract class AbstractMemberSelection extends GroupsManagerCommand {

   public AbstractMemberSelection(ICompositeGroupService compositeGroupService) {
      super(compositeGroupService);
   }

   /**
    * This is the public method
    * @param sessionData
    * @throws Exception
    */
   public void execute (GroupsSessionData sessionData,GroupsManagerXml groupsManagerXml,IAuthorizationService authorizationService) throws Exception {
       
      PortletRequest request = sessionData.getPortletRequest();

      Utility.logMessage("DEBUG", "SelectMembers::execute(): Start");
      Document model = getXmlDoc(sessionData);
      String theCommand = getCommand(request);
      Utility.logMessage("DEBUG", "SelectMembers::execute(): action = " + theCommand);
      Iterator itr = request.getParameterMap().keySet().iterator();
      Element theElement;
      
      String[] members = request.getParameterValues("memberSelection");
      for (int i=0; members != null && i<members.length; i++) {
          if (Utility.notEmpty(members[i])) {
              //Utility.logMessage("DEBUG","SelectMembers::renderXML(): Iterating over input");
              String princeKey = members[i].substring(0, members[i].lastIndexOf("|"));
              String princeType = members[i].substring(members[i].lastIndexOf("|") + 1);
              //String principal = princeType + "." + princeKey;
              theElement = GroupsManagerXml.getElementByTagNameAndId(model, princeType, princeKey);
              // test first
              if (theElement != null) {
                  groupsManagerXml.refreshAllNodesIfRequired(sessionData, theElement);
                  theElement.setAttribute("selected", String.valueOf(getSelectedValue()));
                  Utility.logMessage("DEBUG", "SelectMembers::execute(): " + theCommand
                      + "ed element " + princeType + " " + princeKey);
              }
          }
      }
   }
   
   protected abstract boolean getSelectedValue();
}
