/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.servants.groups.commands;


//import org.jasig.portal.channels.permissionsmanager.CPermissionsManagerServantFactory;
import javax.portlet.PortletContext;
import javax.portlet.PortletRequest;
import javax.portlet.PortletSession;

import org.jasig.gap.groups.ICompositeGroupService;
import org.jasig.gap.groups.IEntityGroup;
import org.jasig.gap.permissions.IAuthorizationService;
import org.jasig.portal.portlet.servant.IPortletServant;
import org.jasig.portal.portlet.servant.IPortletServantLocator;
import org.jasig.portal.portlet.servant.ServantLocatorAccessor;
import org.jasig.portal.portlets.permissions.PermissionsManagerConstants;
import org.jasig.portal.servants.groups.GroupsManagerConstants;
import org.jasig.portal.servants.groups.GroupsManagerXml;
import org.jasig.portal.servants.groups.GroupsSessionData;

/**
 * A Groups Manager command to instantiate a permissions manager servant
 *
 * @author Alex Vigdor
 * @version $Revision: 11911 $
 */
public class AssignPermissions extends GroupsManagerCommand implements GroupsManagerConstants {
    
   public AssignPermissions(ICompositeGroupService compositeGroupService) {
      super(compositeGroupService);
   }

   /**
    * put your documentation comment here
    * @param sessionData
    * @throws Exception
    */
   public void execute(GroupsSessionData sessionData,GroupsManagerXml groupsManagerXml,IAuthorizationService authorizationService) throws Exception {
       String[] activities = null;
       IEntityGroup g = (IEntityGroup) GroupsManagerXml.retrieveGroupMemberForElementId(this.getXmlDoc(sessionData), this.getCommandArg(sessionData.getPortletRequest()), getCompositeGroupService());
       if (g.isEditable()){
          activities = sessionData.permissible.getActivityTokens(g.getKey());
       }
       else{
         activities = new String[] {VIEW_PERMISSION, SELECT_PERMISSION, ASSIGN_PERMISSION};
       }

       IPortletServant servant = getPortletServant(sessionData, g.getKey(), activities);
       sessionData.portletServant = servant;
   }
   
   private IPortletServant getPortletServant(GroupsSessionData sessionData, String target, String[] activities) {
       
       PortletRequest request = sessionData.getPortletRequest();
       IPortletServant servant = sessionData.getPermissionsManagerServant();
       servant.setAttribute(request, PermissionsManagerConstants.ownerIdKey, OWNER);
       servant.setAttribute(request, PermissionsManagerConstants.targetIdKey, target);
       servant.setAttribute(request, PermissionsManagerConstants.activityTokensKey, activities);

       return servant;
    }

}