/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.servants.groups.commands;

import org.jasig.gap.groups.ICompositeGroupService;
import org.jasig.gap.permissions.IAuthorizationService;
import org.jasig.portal.servants.groups.GroupsSessionData;
import org.jasig.portal.servants.groups.GroupsManagerXml;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
/**
 * A Groups Manager command to hide properties for any entity or group
 *
 * @author Alex Vigdor
 * @version $Revision: 11911 $
 */

public class HideProperties extends GroupsManagerCommand {

   public HideProperties(ICompositeGroupService compositeGroupService) {
      super(compositeGroupService);
   }

   /**
    * put your documentation comment here
    * @param sessionData
    * @throws Exception
    */
   public void execute (GroupsSessionData sessionData,GroupsManagerXml groupsManagerXml,IAuthorizationService authorizationService) throws Exception {
      Document model = getXmlDoc(sessionData);
      String id = this.getCommandArg(sessionData.getPortletRequest());
      Element e = GroupsManagerXml.getElementById(model,id);
      GroupsManagerXml.removeElementsForTagName(e, PROPERTIES_TAGNAME);
   }
}