/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package  org.jasig.portal.servants.groups.permissions;

import org.jasig.gap.groups.IGroupMember;
import org.jasig.gap.permissions.IAuthorizationPrincipal;
import org.jasig.portal.servants.groups.IGroupsManagerPermissions;


/**
 * GroupsManagerBlockEntitySelectPermissions answers if the Authorization Principal is able to
 * perform specific actions on the target Group Member.
 * @author Don Fracapane
 * @version $Revision: 11911 $
 */
public class GroupsManagerBlockEntitySelectPermissions extends GroupsManagerDefaultPermissions {

   private static IGroupsManagerPermissions _instance = null;

   /**
    * Return the single instance of GroupsManagerBlockEntitySelectPermissions.
    * @return IGroupsManagerPermissions
    */
   public static synchronized IGroupsManagerPermissions getInstance(){
      if (_instance == null){
         _instance = new GroupsManagerBlockEntitySelectPermissions();
      }
      return _instance;
   }

    /**
    * Answers if principal can select the target group member.
    * @param ap AuthorizationPrincipal
    * @param gm IGroupMember
    * @return boolean
    */
   public boolean canSelect (IAuthorizationPrincipal ap, IGroupMember gm) {
       return  (gm.isGroup() && isAuthorized(ap, "SELECT", gm));
   }
}
