/* Copyright 2001 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.servants.permissions;

import javax.portlet.PortletRequest;
import javax.portlet.PortletSession;

//import org.jasig.portal.ChannelRuntimeData;
//import org.jasig.portal.ChannelStaticData;
import org.jasig.portal.groups.security.IPermissible;
import org.jasig.gap.permissions.IAuthorizationPrincipal;
import org.jasig.portal.portlet.servant.IPortletServant;
import org.w3c.dom.Document;

/**
 * PermissionsSessionData
 *
 * A lightweight object used to store all values associated with a single channel
 * session of CPermissionsManager
 *
 * @author Alex Vigdor
 * @version $Revision: 11911 $
 */

public class PermissionsSessionData {

  public PortletRequest portletRequest;
  public String view;
  public Document XML;
  public IPortletServant servant;
  public IAuthorizationPrincipal[] principals;
  public IPermissible[] owners;
  public long startRD;  // used for timing response generation
  public boolean gotActivities = false;
  public boolean gotTargets = false;
  public boolean gotOwners = false;
  public boolean isFinished = false;
  public boolean isAuthorized = false;


/**
 * @return Returns the portletRequest.
 */
public PortletRequest getPortletRequest() {
    return portletRequest;
}
/**
 * @param portletRequest The portletRequest to set.
 */
public void setPortletRequest(PortletRequest portletRequest) {
    this.portletRequest = portletRequest;
}

/***
* @return Returns the portletSession.
*/
public PortletSession getPortletSession() {
   return portletRequest.getPortletSession(false);
}
}