/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.spring;

import org.springframework.beans.factory.HierarchicalBeanFactory;

/**
 * ContextResolvingBeanFactory is a small extension of the bean factory to provide resolvers with
 * a way of calling super.resolveBean()
 *
 * @author Peter Kharchenko: pkharchenko at unicon.com
 * @version $Revision: 11911 $
 */
public interface IContextResolvingBeanFactory extends HierarchicalBeanFactory {
    /**
     * Returns the instance of the factory itself.
     * @return the instance of the factory itself
     */
    public IContextResolvingBeanFactory getItself();
    
    /**
     * @return The IContextResolver being used to service requests.
     */
    public IContextResolver getContextResolver();
}
