/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.spring;



/**
 * Interface to be implemented by any object that wishes to be notified
 * of the ServletConfig for the portal servlet.
 * <br>
 * Warning: The ServletConfig will not be set into the beans until the
 * init method of the associated servlet is called.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface IServletConfigAware {

    /**
     * Sets the IServletConfigProvider to get the ServletConfig from.
     * 
     * @param configProvider The IServletConfigProvider to get the ServletConfig from.
     */
    public void setServletConfigProvider(IServletConfigProvider configProvider);
}
