/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.spring;

import javax.servlet.ServletConfig;


/**
 * Defines an interface which a ServletConfig can be retrieved from.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface IServletConfigProvider {
    
    /**
     * Gets a ServletConfig object. This method should never return null.
     * 
     * @return A ServletConfig object.
     */
    public ServletConfig getServletConfig();
}
