/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.spring;

import javax.servlet.ServletConfig;


/**
 * Adds the setter method to the {@link IServletConfigProvider} interface.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public interface IServletConfigProviderBean extends IServletConfigProvider {

    /**
     * Sets the ServletConfig which will be returned by {@link IServletConfigProvider#getServletConfig()} 
     * @param config The ServletConfig which will be returned by {@link IServletConfigProvider#getServletConfig()}
     */
    public void setServletConfig(final ServletConfig config);
}
