/* Copyright 2007 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.spring;

import java.util.Map;

/**
 * Implementations should provide O(1) access to beans of a certain type in an ApplicationContext.
 * 
 * @author Eric Dalquist
 * @version $Revision$
 */
public interface TypeAwareBeanRegistry<T> {
    /**
     * @return Map of bean names to beans for a type. This does not scan the context, it uses a cached Map of beans.
     */
    public Map<String, T> getBeansOfType(Class clazz);
}
