/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.tools.dbloader;


/**
 * Represents a database connection by its meta-data. Database name
 * and version are used along with the name and version of the driver.
 * 
 * @author Eric Dalquist <a href="mailto:edalquist@unicon.net">edalquist@unicon.net</a>
 * @version $Revision: 11911 $
 */
public class DbInfo {
    private String dbName;
    private String dbVersion;
    private String driverName;
    private String driverVersion;
    private String jdbcUrl;
    private String jdbcUser;
    
    
    /**
     * @return Returns the dbName.
     */
    public String getDbName() {
        return this.dbName;
    }
    /**
     * @return Returns the dbVersion.
     */
    public String getDbVersion() {
        return this.dbVersion;
    }
    /**
     * @return Returns the driverName.
     */
    public String getDriverName() {
        return this.driverName;
    }
    /**
     * @return Returns the driverVersion.
     */
    public String getDriverVersion() {
        return this.driverVersion;
    }
    /**
     * @return Returns the jdbcUrl.
     */
    public String getJdbcUrl() {
        return this.jdbcUrl;
    }
    /**
     * @return Returns the jdbcUser.
     */
    public String getJdbcUser() {
        return this.jdbcUser;
    }
    
    
    /**
     * @param dbName The dbName to set.
     */
    public void setDbName(String dbName) {
        this.dbName = dbName;
    }
    /**
     * @param dbVersion The dbVersion to set.
     */
    public void setDbVersion(String dbVersion) {
        this.dbVersion = dbVersion;
    }
    /**
     * @param driverName The driverName to set.
     */
    public void setDriverName(String driverName) {
        this.driverName = driverName;
    }
    /**
     * @param driverVersion The driverVersion to set.
     */
    public void setDriverVersion(String driverVersion) {
        this.driverVersion = driverVersion;
    }
    /**
     * @param jdbcUrl The jdbcUrl to set.
     */
    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }
    /**
     * @param jdbcUser The jdbcUser to set.
     */
    public void setJdbcUser(String jdbcUser) {
        this.jdbcUser = jdbcUser;
    }
    
    
    public String toString() {
        return 
            "<dbName>" + this.getDbName() + "</dbName>\n" + 
            "<dbVersion>" + this.getDbVersion() + "</dbVersion>\n" + 
            "<driverName>" + this.getDriverName() + "</driverName>\n" + 
            "<driverVersion>" + this.getDriverVersion() + "</driverVersion>\n" + 
            "jdbcUrl:  " + this.getJdbcUrl() + "\n" + 
            "jdbcUser: " + this.getJdbcUser();
    }
    
    public boolean equals(Object obj) {
        if (obj instanceof DbInfo) {
            final DbInfo other = (DbInfo)obj;
            
            return other.getDbName().equals(this.getDbName()) && 
                other.getDbVersion().equals(this.getDbVersion()) &&
                other.getDriverName().equals(this.getDriverName()) &&
                other.getDriverVersion().equals(this.getDriverVersion());
        }
        
        return false;
    }
    
    public int hashCode() {
        return this.getDbName().hashCode() + 
            this.getDbVersion().hashCode() + 
            this.getDriverName().hashCode() + 
            this.getDriverName().hashCode();
    }
}
