package org.jasig.portal.tools.dbloader;

/**
 * Represents a target JDBC type, or possibly several target
 * JDBC types, distinguishable by name.
 * 
 * @author Dan McCallum, dmccallum@unicon.net
 */
public interface IColumnTargetType {
	
	/**
	 * Retrieve the target JDBC type represented by this 
	 * <code>IColumnTargetType</code>, possibly using a type
	 * name to discriminate between multiple options.
	 * 
	 * @param columnMetaDataTypeName a logical name of a column
	 *   type. Optional and may or may not correspond to the
	 *   name of a <code>java.sql.Types</code> constant.
	 * @return an Integer representing the resolved target type
	 *   or null if the mapping failed.
	 */
	public Integer getTargetType(String columnMetaDataTypeName);

}
