package org.jasig.portal.tools.dbloader;

/**
 * Applies arbitrary processing to a {@link Dml} instance. Typical usage
 * analyzes the parameter value set (@link Dml#getArgs()) and injects
 * specialized datatypes where necessary, e.g. a Spring SqlLobValue.
 * 
 * <p>May wrap or completely replace the client-provided Dml when
 * returning from {@link #filter()}
 * 
 * @author Dan McCallum, dmccallum@unicon.net
 */
public interface IDmlFilter {

	/**
	 * Process the given {@link Dml}. The returned {@link Dml} may
	 * or may not be the same instance passed in. 
	 * 
	 * @param dml the {@link Dml} to be processed
	 * @return a processed {@link Dml} instance
	 */
	public Dml filter(Dml dml);
	
}
