/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.url;

/**
 *  An interface for constructing portal urls
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IPortalUrl {
    
    /**
     * Returns an implementation of the specified URL constructor
     * 
     * @param name - name of the appropriate URL constructor. The name must be unique within current context. 
     * By convention the name is equal to the full name of the relevant command interface.
     * @return an implementation of the specified constructor
     */
    Object getUrlConstructor(String name);
    
    /**
     * Output a string representation of the URL
     * @return string representation
     */
    public String toString();
}
