/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.url;

import java.util.Collection;

/**
 * A command interface for executing existing rendering attribute constructors
 * on a local URL. 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public interface IUrlConstructorCommands {
    public final static String CONSTRUCTOR_NAME=IUrlConstructorCommands.class.toString();
    
    /**
     * Incorporate information from a given URL constructors
     * @param urlConstructor
     */
    void setUrlConstructors(Collection<IUrlConstructor> urlConstructors);
}
