/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.url;


/**
 * An interface allowing components to provide objects for custom URL construction syntax.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUrlConstructorProvider {
	/**
	 * Obtain a constructor that uses given url info object
	 * @return URL constructor implementation
	 */
	public IUrlConstructor getUrlConstructor();
    
    /**
     * Gets the constructor name unique across all URL constructors in the portal.
     * Note: by convention, the name should be a full name of the relevant command interface.
     * @return a constructor name
     */
    public String getName();
}
