/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.url;

import java.util.Collection;


/**
 * IUrlConstructorProviderFactoryService is a factory service for obtaining Url constructor providers
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @author Michael Ivanov: mivanov at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUrlConstructorProviderFactoryService {   
	
    /**
     * Returns a specified Url constructor provider
     * 
     * @param name - name of the appropriate URL constructor. The name must be unique within current context. 
     * By convention the name is equal to the full name of the relevant command interface.
     * @return an implementation of the specified constructor provider
     */
    public IUrlConstructorProvider getUrlConstructorProvider(String name);
    
    /**
     * Obtain a collection of known constructor providers
     * @return
     */
    public Collection getConstructorProviders();

}
