/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.url;

import javax.servlet.http.HttpServletRequest;

/**
 * IUrlConstructorProviderFactoryServiceAccessor defines an interface for associating {@link org.jasig.portal.url.IUrlConstructorProviderFactoryService}
 * instances with an HTTP request.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUrlConstructorProviderFactoryServiceAccessor {
    /**
     * Obtain a provider factory service instance associated with a given request
     * @param request http request
     * @return provider factory service instance associated with a given request
     */
    IUrlConstructorProviderFactoryService getUrlConstructorProviderFactoryService(HttpServletRequest request);
    
    /**
     * Associate a given provider factory service with a request
     * @param service factory service instance to associate
     * @param request http request
     */
    void setUrlConstructorProviderFactoryService(IUrlConstructorProviderFactoryService service,HttpServletRequest request);
}
