/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.url;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

/**
 * IUrlDecoratorListAccessor is a list implementation of {@link org.jasig.portal.url.IUrlDecoratorIteratorAccessor}
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IUrlDecoratorListAccessor {
    /**
     * Associate an ordered list of decorators with a given request.
     * Note: order of the list corresponds to the order in which decorators will be invoked, which is usually
     * the reverse of the order of importance.
     * 
     * @param decorators ordered list of decorators
     * @param request http request
     */
    void setUrlDecoratorList(List<IUrlDecorator> decorators,HttpServletRequest request);
    
    /**
     * Obtain an ordered list of url decorators for a given request
     * @param request http request being processed
     * @return an iterator to the decorator list
     */
    List<IUrlDecorator> getUrlDecorators(HttpServletRequest request); 
}
