/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.url;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

/**
 * Provides means to append additional elements to the servlet path 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class ServletPathExtender implements IUrlConstructorProvider {
    public final static String CONSTRUCT_NAME=IServletPathExtender.class.getName();
    
    /* (non-Javadoc)
     * @see org.jasig.portal.url.IUrlConstructorProvider#getName()
     */
    public String getName() {
        return CONSTRUCT_NAME;
    }

    public IUrlConstructor getUrlConstructor() {
    	return new UrlConstructor();
    }
    
    static class UrlConstructor implements IUrlConstructor, IServletPathExtender {
        List<String> elements=new LinkedList<String>();
        public void writeToUrl(UrlInfo urlInfo) {
            for (Iterator<String> iter = elements.iterator(); iter.hasNext();) {
                String element = iter.next();
                urlInfo.appendPathElement(element);
            }
            elements.clear();
        }
        public void addPathElement(String element) {
            elements.add(element);
        }
        
    }
}
