/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.url;

import java.util.Collection;

/**
 * Url constructor provider for {@link IUrlConstructorCommands} 
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 1.0$
 */
public class UrlConstructorCommandsUrlConstructorProvider implements IUrlConstructorProvider {

    public String getName() {
        return IUrlConstructorCommands.CONSTRUCTOR_NAME;
    }

    public IUrlConstructor getUrlConstructor() {
        return new UrlCommandsUrlConstructorImpl();
    }
    
    static class UrlCommandsUrlConstructorImpl implements IUrlConstructorCommands, IUrlConstructor {
        Collection<IUrlConstructor> urlConstructors=null;
        
        public void setUrlConstructors(Collection<IUrlConstructor> urlConstructors) {
            this.urlConstructors=urlConstructors;
        }

        public void writeToUrl(UrlInfo urlInfo) {
            if(urlConstructors!=null) {
                for(IUrlConstructor constructor: urlConstructors) {
                    constructor.writeToUrl(urlInfo);
                }
            }
        }
        
    }

}
