/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.url;

import javax.servlet.http.HttpServletRequest;

/**
 * UrlConstructorProviderFactoryServiceAccessorImpl implements a default way of accessing constructor provider factory service .
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class UrlConstructorProviderFactoryServiceAccessorImpl implements IUrlConstructorProviderFactoryServiceAccessor {
    
    /**
     * Name of the http request attribute under which the factory service should be located.
     */
    protected final static String REQUEST_ATTRIBUTE_NAME=UrlConstructorProviderFactoryServiceAccessorImpl.class.getName();

    /* (non-Javadoc)
     * @see org.jasig.portal.url.IUrlConstructorProviderFactoryServiceAccessor#getUrlConstructorProviderFactoryService(javax.servlet.http.HttpServletRequest)
     */
    public IUrlConstructorProviderFactoryService getUrlConstructorProviderFactoryService(HttpServletRequest request) {
        return (IUrlConstructorProviderFactoryService) request.getAttribute(REQUEST_ATTRIBUTE_NAME);
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.url.IUrlConstructorProviderFactoryServiceAccessor#setUrlConstructorProviderFactoryService(org.jasig.portal.url.IUrlConstructorProviderFactoryService, javax.servlet.http.HttpServletRequest)
     */
    public void setUrlConstructorProviderFactoryService(IUrlConstructorProviderFactoryService service, HttpServletRequest request) {
        request.setAttribute(REQUEST_ATTRIBUTE_NAME,service);
    }
}
