/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.url;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

/**
 * UrlDecoratorListAccessorImpl is a default implementation of {@link org.jasig.portal.url.IUrlDecoratorListAccessor}
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public class UrlDecoratorListAccessorImpl implements IUrlDecoratorListAccessor {
    /**
     * Name of the http request attribute under which the decorator list will be located.
     */
    protected final static String REQUEST_ATTRIBUTE_NAME=UrlDecoratorListAccessorImpl.class.getName();


    public void setUrlDecoratorList(List<IUrlDecorator> decorators, HttpServletRequest request) {
        request.setAttribute(REQUEST_ATTRIBUTE_NAME,decorators);
    }

    public List<IUrlDecorator> getUrlDecorators(HttpServletRequest request) {
        return (List<IUrlDecorator>) request.getAttribute(REQUEST_ATTRIBUTE_NAME);
    }
}
