/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.utils;

/**
 * ISequenceIncrementerFactory allows to obtain {@link org.jasig.portal.utils.ISequenceIncrementer} instances
 * under particular names.
 * 
 * Note: The interface is not intendent to describe management methods, such as those relating to creating new
 * incrementers, resetting existing incrementers, etc.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public interface ISequenceIncrementerFactory {
    /**
     * Obtain an incrementer with a given name
     * @param incrementerName
     * @return the incrementer
     */
    public ISequenceIncrementer getIncrementer(String incrementerName);
}
