/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */

package org.jasig.portal.utils;

import java.util.Collection;
import java.util.List;

/**
 * A utility interface for concatenating and splitting strings,
 * taking care of delimeter escaping.  
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 * @version $Revision: 11911 $
 */
public interface IStringConcatenator {
    /**
     * Concatenate a collection of strings
     * @param pieces
     * @return concatenated string
     */
    String concatenate(Collection pieces);
    
    /**
     * Split a concatenated string back into original pieces
     * @param concatenation
     * @return collection of original strings
     */
    List split(String concatenation);
}
