/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.utils;

import org.jasig.portal.core.exception.PortalRuntimeException;


public class LegacyIncrementerFacade implements ISequenceIncrementer {
    protected String incrementerName;
    protected LegacySequenceGenerator sequenceGenerator;
 
    public LegacyIncrementerFacade() {};
    
    public LegacyIncrementerFacade(String incrementerName, LegacySequenceGenerator sequenceGenerator) {
        this.incrementerName=incrementerName;
        this.sequenceGenerator=sequenceGenerator;
    }
    
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementer#getNextIntValue()
     */
    public int getNextIntValue() {
        try {
            return this.sequenceGenerator.getNextInt(incrementerName);
        } catch (Exception e) {
            throw new PortalRuntimeException(e);
        }
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementer#getNextLongValue()
     */
    public long getNextLongValue() {
        return getNextIntValue();
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementer#getNextStringValue()
     */
    public String getNextStringValue() {
        return Long.toString(getNextLongValue());
    }
    /**
     * @param incrementerName The incrementerName to set.
     */
    public void setIncrementerName(String incrementerName) {
        this.incrementerName = incrementerName;
    }
    /**
     * @param sequenceGenerator The sequenceGenerator to set.
     */
    public void setSequenceGenerator(LegacySequenceGenerator sequenceGenerator) {
        this.sequenceGenerator = sequenceGenerator;
    }
}