/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.utils;



/**
 * LegacySequenceIncrementerFactory based on the uPortal2 sequence generator implementation
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public class LegacySequenceIncrementerFactory implements ISequenceIncrementerFactory {
    LegacySequenceGenerator sequenceGenerator;
   
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementerFactory#getIncrementer(java.lang.String)
     */
    public ISequenceIncrementer getIncrementer(String incrementerName) {
        return new LegacyIncrementerFacade(incrementerName,sequenceGenerator);
    }
    /**
     * @return Returns the sequenceGenerator.
     */
    public LegacySequenceGenerator getSequenceGenerator() {
        return sequenceGenerator;
    }
    /**
     * @param sequenceGenerator The sequenceGenerator to set.
     */
    public void setSequenceGenerator(LegacySequenceGenerator sequenceGenerator) {
        this.sequenceGenerator = sequenceGenerator;
    }

}
