/* Copyright 2005 The JA-SIG Collaborative.  All rights reserved.
*  See license distributed with this file and
*  available online at http://www.uportal.org/license.html
*/

package org.jasig.portal.utils;

import java.util.Locale;

/**
 * @author David Young, dyoung@unicon.net
 * @version $Revision: 11911 $
 */
public final class LocaleUtils {
    private static final String LOCALE_DELIMITER = "_";
    
	private LocaleUtils() {};
	
    /**
     * Given a locale code, creates a locale object.
     * @param localeString locale code
     * @return Locale
     */
	public final static Locale parseToLocale(String localeString) {
    	Locale locale = null;
        final String[] localeCode = localeString.split(LOCALE_DELIMITER);
        
        if (localeCode.length == 1) {
            locale = new Locale(localeCode[0]);
        }
        else if (localeCode.length == 2) {
            locale = new Locale(localeCode[0], localeCode[1]);
        }
        else if (localeCode.length == 3) {
            locale = new Locale(localeCode[0], localeCode[1], localeCode[2]);
        }
        
        return locale;
	}
}
