/* Copyright 2004 The JA-SIG Collaborative.  All rights reserved.
 * See license distributed with this file and
 * available online at http://www.uportal.org/license.html
 */


package org.jasig.portal.utils;

import org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer;

/**
 * SpringSequenceIncrementer uses spring's {@link org.springframework.jdbc.support.incrementer.DataFieldMaxValueIncrementer} implementations.
 *
 * @author Peter Kharchenko: pkharchenko at unicon.net
 */
public class SpringSequenceIncrementer implements ISequenceIncrementer {
    DataFieldMaxValueIncrementer springIncrementer;

    
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementer#getNextIntValue()
     */
    public int getNextIntValue() {
        return getSpringIncrementer().nextIntValue();
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementer#getNextLongValue()
     */
    public long getNextLongValue() {
        return getSpringIncrementer().nextLongValue();
    }
    /* (non-Javadoc)
     * @see org.jasig.portal.utils.ISequenceIncrementer#getNextStringValue()
     */
    public String getNextStringValue() {
        return getSpringIncrementer().nextStringValue();
    }
    /**
     * @return Returns the springIncrementer.
     */
    public DataFieldMaxValueIncrementer getSpringIncrementer() {
        return springIncrementer;
    }
    /**
     * @param springIncrementer The springIncrementer to set.
     */
    public void setSpringIncrementer(DataFieldMaxValueIncrementer springIncrementer) {
        this.springIncrementer = springIncrementer;
    }
}
